View Issue Details

IDProjectCategoryView StatusLast Update
0004429ScribusStory Editor / Text Framespublic2016-03-06 10:09
Reportergustavohomem Assigned ToKunda  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionunable to reproduce 
PlatformMandrivaOSLinuxOS Version2006
Product Version1.3.3.4cvs 
Target VersionFixed in Version 
Summary0004429: hyphenization artifacts
DescriptionThere are hyphenization artifacts that can't seem to be corrected manually.

Please look at the attached file, on the second column, the space around the number "15".

Overall it seems that the "spaces" are not evenly distributed with justified hyphenated text.

A comparison of the final result with Scribus and the same text hyphenate on QXP can be seen here:

http://people.angulosolido.pt/~gustavo/scribus/pre-press/ST%2049%20-nocm.pdf
http://people.angulosolido.pt/~gustavo/scribus/pre-press/ST%2049-quark.pdf
Tags#please_test, layout
Patch

Relationships

child of 0003828 acknowledged Metabug: Hyphenation 

Activities

2006-10-20 19:29

 

hyphens.zip (412,107 bytes)

gustavohomem

2006-10-24 16:34

reporter   ~0013120

It is important to target this still to the 1.3.3.x series.

Thanks
Gustavo

cbradney

2006-10-24 18:57

administrator   ~0013122

I doubt much can be done about this in 1.3.3.x. You could play with the hyphenation settings though.

louisdesjardins

2006-10-25 03:31

developer   ~0013124

Last edited: 2006-10-25 03:32

It would be interesting to have the exact specs of this text. Font, font size, kerning or tracking values, etc. Plus, the exact width of both the text frame and the gutter (or gap), in both programs. Plus, we'd have to compare the H&J settings of Quark to the Hyphenation settings of Scribus.

We have to understand why the same text produces 30 lines in Scribus and 26 in Quark.

I am pretty sure we can achieve a better overall result than this with Scribus.

Just as a side note I would ask that the test files contain text only to save download time. The actual PDFs are heavy for this kind of issue.

gustavohomem

2006-10-25 09:24

reporter   ~0013125

Louis,

>It would be interesting to have the exact specs of this text. Font, font size, >kerning or tracking values, etc. Plus, the exact width of both the text frame >and the gutter (or gap), in both programs. Plus, we'd have to compare the H&J >settings of Quark to the Hyphenation settings of Scribus.

The scribus Hyphenation settings are ok (lang=portuguese, max number of consecutive hyphneations = 0), the problem is the hyphenation algorithm which is not working perfeclty.

>
>We have to understand why the same text produces 30 lines in Scribus and 26 in >Quark.
>

Perhaps it's because Scribus inserts too much space between the words.

>I am pretty sure we can achieve a better overall result than this with Scribus.

We can match exactly what Quark does, but all text has to be tweaked with manual tracking which is very time consuming. The default hyphenation, without further interaction should be as good as what Quark 4.

>
>Just as a side note I would ask that the test files contain text only to save >download time. The actual PDFs are heavy for this kind of issue.

See the attached file

gustavohomem

2006-10-25 09:26

reporter   ~0013126

Craig,

I think the hyphenation settings are ok. This is a problem with the algorithm. This is AFAIK the major stopper on the stable version so far.

Please consider to, if not fix it, at least improve it a bit for 1.3.3.5 or 1.3.3.6.

louisdesjardins

2006-10-25 13:58

developer   ~0013129

We need the full specs to investigate and make an opinion. Can you please provide them?

gustavohomem

2006-10-25 14:51

reporter   ~0013130

Louis,

What is exactly that you need is not in the attchement?

The sla file with the text is there, and the font files (*.ttf, *otf) are also there.

louisdesjardins

2006-10-25 14:58

developer   ~0013131

Gustavo,
I have Quark at the office and Scribus home. It's a bit clumsy to make tests but it works nonetheless. If you could just put here in plain text the name of the font, the type size, the width of the column (or frame width + gap) and the H&J settings from Quark + the hyphenation settings (complete) of Scribus, that would help me. You could make screen shots too if you prefer, and upload them here.
Thanks!

mhanski

2006-10-25 15:15

developer   ~0013132

Last edited: 2006-10-25 15:22

Louis, Gustavo, this would be much easier to clear in direct conversation:

irc://irc.freenode.net/#scribus (clickable in Firefox)

louisdesjardins

2006-10-25 15:30

developer   ~0013134

What I want to find out is whether this is a bug or just user settings. I only ask to have some figures. These settings are not that many. We could discuss on IRC (I am connectec at the moment) but really, it's a matter of taking the specs, reproduce the bug and try to find out exactly where the problem is.

I find Scribus is generally strong (with still some weaknesses) in that area. So, is it language related, hyphenation related, or something else... Since I can test even with ID if needed, I need the info where I can use it! :)

2006-10-25 15:43

 

add_info.zip (86,058 bytes)

gustavohomem

2006-10-25 15:44

reporter   ~0013135

Zip file with the plain text and all the relevant text properties is attached.

louisdesjardins

2006-10-25 16:03

developer   ~0013136

Thanks Gustavo!
Still missing H & J settings from Quark (shortest word, minimum before, minimum after, hyphen for capitalized word + the values in the right hand side of that dialog for word and letter spacing -- min, max and optimum) plus the Hyphenation settings from Scribus (shortest word and hyphens in a row).

gustavohomem

2006-10-25 16:08

reporter   ~0013137

I don't have the info from Quark, and I can't bother the person who has it(that is ATM working on Scribus). Even without the data from Quark, you can look at the PDFs and see the difference. Plus, even looking at the sla itself with the right fonts, it's clear the Scribus in exagerating on the white space sizes.

louisdesjardins

2006-10-25 16:22

developer   ~0013138

Fine then. I will do without these. Can you just tell me how you set the hyphenation prefs (shortest word I think is the only missing figure here). I see by the PDF files that there are some obvious differences. Will try to reproduce and get back soon.

gustavohomem

2006-10-25 16:28

reporter   ~0013139

Hi,

Language -> Portuguese
Shortest word -> 3
Consecutive hyphenations-> 0 (unlimited)

Thanks
Gustavo

cbradney

2006-10-25 17:16

administrator   ~0013140

Whether this is a bug or not, I do not expect that we will fix it in 1.3.3.x. The old text layout system is not good enough to be able to just change on the fly without any intelligence. This is part of the purpose of 1.3.4+.

2006-10-25 17:44

 

Scribus_Hyphen.pdf (47,298 bytes)

2006-10-25 17:45

 

Quark_Hyphen (55,771 bytes)
%PDF-1.3
%���������
2 0 obj
<< /Length 1 0 R /Filter /FlateDecode >>
stream
x�+TT(T�H-JN-()M�Q(�
��[*��)�N�U��5Tp����
endstream
endobj
1 0 obj
53
endobj
3 0 obj
<< /Type /Page /Parent 4 0 R /Resources 5 0 R /Contents 2 0 R /MediaBox
[ 0 0 679 459 ] >>
endobj
5 0 obj
<< /ProcSet [ /PDF /ImageB /ImageC /ImageI ] /XObject << /Im1 6 0 R
>> >>
endobj
6 0 obj
<< /Length 7 0 R /Type /XObject /Subtype /Image /Width 679 /Height
459 /ColorSpace 8 0 R /BitsPerComponent 8 /Filter /FlateDecode >>
stream
x��	�Uř>�$��d&Y&���'�I�ɦ�F�K'&1!��1����(0�k�� �4  д؀l��,��"�M��ą��W��[]�9U���{�۷���}�=�����So}_թ*���R�➃[�Z���(?[�ZK�ҧxo��=-%{Z��X۱���xo[ɞ6�[\�N�)�����������"Lu�՝[k�Jj���bu����e��
�("�T�Sv� ���)Ӳ����byws��N��C�J�;ʪ:(S!O�A�u��6)F�V�,����{:��V�eKU�J��*��+B$y������j�0�x���_��� 0}�0�C)Sq��m��!R�YOAdQݱ�Fj��`YMg��v�!	&�.$!1�����m��,�m炫���j:�k)@��!e!k�M|SD�H�SR�UV�E!�G��I	n�+>2|�'?mq[]'��ֈʥ�*�+J��������up�e5mⷸ�U^ۥҡOi-Eo-��Dw��9�R��Ȯ^
Y�U^׽�>5]�#��"�,D��v��)�YG���>%�C��JK�$dE}WEm'}H�Қn�a��4�,5�"w�fME��Il�骮��������v]]��x.������%�떹��Vw�o�+œ�w�kz�ն�T�B���sp����ֶ Q����+\~:�5�`t]�^�S��]��-cu�t���X�[
]��]�Z�o�oC���:�o}OYC�����v��)�ʆ��ES�6�U�CW.	��t:*�;wR���
�$Q+i;)�u]�뻷5��5u����wS��3ФȺ[�W}�����?8�\�U�������VX(��+��SB
=�T�T��W�ЃH�I���ʧ�HH���+��@�A�j���,R���S��(���D��$U�(}�zTS��+d)�z�6D)��=\@�]��ŕ�PV���w�lTS���X�=��z�,�_�E�*���2
��(2��x
"bS��Cۛ���M�h"/�[~d���w{cp+�,��zJe�-��0�BHi�鎦C�e%�+=h�Jr��
=2�n!Ls����g�YP:A����9b`[�#�������#`g��P^;D\�WhCfMq]����po��=;^=$o°�,?%�ɪ[xg��PDJS\i:�R��N(���B���]t�ü(P���ݘFU���=(��*A7�Y���ډ2J�Z��4$>�ԁ,��Q|���Kl^����S$X#�U��/����OwY��LeFŊ|��xL�b�-9Ҡ��򺔤�SFi-���F���ע�dN���`����a9���c���=�,q� fxT���F,j��U��z��`_d&"�+��#��TX��MI�e��e�y��G"�ä_\�Ce��_p�,8iX��ĸ�w� �j�Y�d���.ζ2"��r����M�>
ުI�]2�6�15SAⲉ���1�LВ��(��5����jT�Ο8�w�߬CA��)�,�1a�J�D�~i|T�4*�R�(������2�6���8��-��W�7�C�$nI�����P�����;Pi�!�s����I���d�d�g�gޗ����N�,d�,FJ
����Ir)�����@0  ���bU��(�kd�.&�޼�$�
�d���]+�Tq�H���?,�7X����˚���@:��Q��lL��O�+=���Y@�r��PYӡ�F�u9���rQ��4�#���
-ʥx<�abZ��m}���-Dj�	+cpt��ݽ�bjV#�rY�*b�!������Z����q˵a���%.��.X�pe��r�n)ӝ�wu��C��:z������D}ɶ!��#��A|TA/k�$���KU���0S���#R���+k�("�`�(10h�qYS]��$�����o��
)�aY;�\4�S��|�3�ѕ�U�*c飸Ơ����.�\*ݮ�ׂ2ʬw6b���.�1_�qj�a�x0�u<
?�|{�� A�>�Y�;�	<�����w�ݻ��~l+
�c�\�+.ƉX��A�k�/��J�dSTRd+��o6�%!v���N@ܕ���m�$DZ�]�p��e�;d`y�� �?��\�%|5L���/E@�l�J�U�(eK���4��Vm�)�j�2<
Tʅ�k��m�6}� x��ks�pbPY'R��5T����!�W�lFiJs)��	؟؍�]�Ý���*�J[�ډ�_��ÌZҹ�'�'H�V�U?8�����S�{z�
����U�@:x�%�E�v���v�J�L�&�X#���!M0Ɛ���A=�(ڤq��E��p���le��@~z��S�dg�%ذ����
�7&���<Pu]�{s)8d0N����:��N��[�[��l*�KӞ;p��5�tҏ�׊�Z��ɟ�5$	2)s֤�⺶��N�E���C��䁁���̑�U��<�s��$�}�,N�$�h�S�oE�L:ʔ����!�I��y��0s%��
\di�w)�<�Գ�xH��bR"��p�:�R����k��ER�{��H�:
�le�3qf�r��Z��iG�
ހ�0���_���Jɩɕ�]��4<�.��x;Q��B�1"���2~`�K�ci��M|����Gg�߮H��Pڼ�R��B�r�f�+^�TT%�Y���������j�ѭ��ʦ`(��po���a����(�X������}G*�)nO�$�`�!![{W����(�M{�1¡'R�zE���+���F��=�3A�\��]��Wq����Au�_=���#<$߯�)y��J�l��m䖀�������)]u��F+��X��p��~U१�-q�uћ�J��L���G��b� ���O�i��H�K��-z�?oc�����B�$i;��{:������H�CuKܗ~��	b�#���{S�i�*��ؘ"z��jvǝ	q�
������*�'[�R����̅��㣈v�6u�0�1�ĭ�*SNce��?r\!T�룐�q�9�N��#uV<x�iS��
����-��%]qS=N�ŵ��QE�#
�^��M�O2Ә'>zlc[�W��@K��%�K��P#���� 2��0H�:O��������?K�U�VO0���R~0w�������$�牆@��~gs��zۤ�+�$�7�OIj��Ro�\�r�|!�\!U��ӹ�#����[#��4O{W�Yݩ�t��-�:!	x��V?�Z��=��(�
.	K�^��r��S8C��lf�ρ��ҧ�s=�<���J^�;�����7u�DC��<ni2���_1���;�P��
$�u�K��5�����%u��\�b�lX��ʸӸ">������~�U�|P����n��|E���1O�2��zs�s�)5SBr^l��i����`�x���}
���*�ע\��pt�W�^�_�Yf�%�����m>D�X��ȐB�4�8J��uH~|��W�
NÕ��N.�$�#q[Xs���x��W\�r����`�K��y���g�c|q�'�Wnv��l��5��968¤����>q�?�5�%}�?�H<�i� Ц���꧸�$��ю����~t��wX��� �����v���ŽEz�.�f'F&�
�Z���L#��qI[ң+�^v>��8�d�v�nn�sX���Lq�QH�d^b6�Ӆ/b����J�,�’�x޼8X$�R"]�ů?��0�q�{�	���	ذ�*��ٕ!����_9����x|�^X��'�q���G_xj��*�_`��K#���
x��#�nV�V겸+�$nG�|����J�#f�m���n������q���.��6��*��}&A���@��g�Aq������^�Om0�ny5QO�ɚe�z=�w<��[q�+�
v6���>S��OyI�H�G5������:H�h��[x����S�k�+���l�l�"�~1��EA�A���ŝʢ�O�+
�@}����n�S���ʗ��3z��K�`LLPèm�);p�:�$��4;�IRh���L���Iy0����� {ݵ���xaH�Igf�^"��?H3Vt�dM��*=��M�,�@������x�,C���4��)�0�W��Q�j������\
��eP^��sDI�N.� -���ݱ�F5�X'�E��wY#q�;Į	�̔Ň"�WAqtx���
��L�\�c�0M]j�ē���,tE�R��A�r
^����Y�8!^^��3�
��Ȩ'F#xh�&��B|��ݫI�Ja�V�33f�h��HoCw`,��]�����?�s�7D,��} �o�f���'���).%Qs)�{�%��2���M�I��[9d����ƈB)�Cn�
H�doˎ��Kn�q���X�q�ֺ�`�;x	v�.]Xv��ew�y_0��dW��<;,���έ{;�Fk����B�W�W2����P����%}�����r��a��mUm�����a�0��#V�Uu��Y-��f��'/�鳑���R�;fPF��Pk!(p��N:��r�J��<* y��[]$]�h�j�FzQ��:��fc_�ڥ)�,6��9T8(9��D�w��٨��ш��:&5����z��D�g��K���C�.�L�U�u
���c����]�'���ʥѪ&��@��$K�yO�#��Ң/N���$�4]�ߊ*��g���x�_�9I�T��I�^w��`�TLʋQ���nf[vq+�yE�0��-�n��yS��_�7*�d�kY�`��g�Ōm`�K���{����s���I�_�ҷ�I:x�r&l����x���T�-De��̸(TC��=I�qO|�!�s�[_������X�!ڪ�]kץ<!��\����FX
���珚���f���Y{�N����Z�3�Hg�\�q��̛S:</��PL��i�숏s�1��ߡ�+�F\;yX%���w��Q,c�;^ʏ��`:C���(2p4�/�̃�`�d}︢<^��]���
����C�[���\a�s�if{w�f�#���J�,�,�L.�(>Z|��h,gsɭG�7�^�pD.�0ع])]�L�Aճ��;�=Q{�雓��+c����i�k�K�7�`
���oJ�C�m��_z�0}��x"eJ��L�<~`�����앜`�A�LJ�2���騻�V�Z<��7�O���y˧�[6m.�s��<w�d�8o�������(��+�.XE����EĹK��-�8w��O�t��'�`��.�ħ��x�S�9/��������q�+� f�\ʈ�yv��2w���Hsd��+��箘1��x��N��BD)/㿔���B&Hw�ӥ(�A�L����6HHJ|��g'�}6�;k��I"��Ę�|��N��	a8)�W�S���Ay�`��ε�b��S毤��Ό�>�]!����d����e�奸����R ����+&-X)����+��[E�fH�ɸ��٩��gڂ�/U��M�y�
�W⁧�W�X��/��B�$��UR�+Dٴ��o!س\_���|)���#�v���3��SR��qI��� �/	Έ�V�`r%)�R
\0]��3��+T�Ӟ�s0�M
�����s�B�˧K(5��"J�>�?�r�����h�ן�*|����(q��2;�j��<�/\9s!}<.�|��ː+8:$_X0-�@�h%�&���
(���{��x����)M�W�啅"���P��>���P�p5�Fg����(��,\5#�`�H��Wr�����w�U�.R��\ ��0����g毦+BKRi���b�ӫ��()�9HD�X�R	I9I��R�N�fʬ�`BR�j�\D�*���毒�+�Bqe=�/D�X�?�ZjR|�q��J�<�d�O,,��/;=_�HP"�|7�LY^���� �(����:_�a�1�%Ύ�*XX(��K��C�|��>"�T,�e��'׋P� I�'H�|�2�"f�F�Rq�\wA��2J��:��D:O�D
X��"8ǂ�V�XD���MU#��Q_L�V��|�#>����|�J�dʳD�
D��`�.��E�,��H]�9�S_DfI^�'�ρE�3�-�)>f�j�Ƭ��H֩����.��%��sA�K
D��]�(���������E���Y\)R�ً8�M��4��������?
��&9��6�o��]�@����ï���A X��ۧ�����������������.�wh��_n����_i�.�b1�>p�T��G�y�)�(}.8��Q�޺f�ϸ��[o=묳>*A?nM&:�@�͇�ܹg��}��L���������@3�/xt�y�=6���o�_]x���ƍKkܸq_��W/��Q�F=6񱉓�_|1]�R#����d��>�*NCC=,{��饗^}���_���_�n�~qӦMt����~oܸq�̙���lٲ�J�l�2<DP������>5�/�~�_~��'Ox��v�;v؉�.���'�=�mGE}sSCsö����=qŕW��/�vF��@��꡷���ǘ��*---..N6/��׬YC�����޽���N">���������O��;�2d�y睧_��]|����I��=�ܜo6����{�����!���W��������G��'�����uƈ/~���p_�W��3�w�n����u/��R��>�_^��'�gg~�
`�)�8]�G_{���9�F-�m�iG� �.���ͫ����q�ʕ�S|"�+���?�w�1t��w���;v��+{���?����H�4�J�>�S�~<D��5/��>M.��yQ���z�3n9备���(�}��'��sn��S���V]��՗=Tx��.�̅?�����~��{,� eN?��#]��o���G�\=�h�������U�7��9�}�{߇>�aÆ͞=��,Y���|�dr�e˖�}���Nؾ};]��׾F�O)bCC���K/�D)��OQ.��2���?��S�����s��e�����N?��"��)��)S>�ό?��ټy3������Ozꩧ��?�ӏ�㚚��x���N;�r�����s�9�H?��[o���k�	_'ҧ�'>��<��×\r	�9c�����-P��#�ȣ�>�#u�����4��O~���M7��9�E�}�K_"���:�0����I6��g�YRR��Cee�E]Dz���p��7S�|����w�C�?������;�~�>�!$�{H�t���N>��i�sNky��}�?Q5�[o�י������s/���o�?tʈY��~�	�,=m��o}���,;�7����ٟ<o�)��5@ZA�^�v���o5=����w�;]E��߈B\Fl~��Wk�������k�."����l���4�mllܲe
])++#ҟ3gE4Ҥ+t�_��_�|��իW��]�"B!j۴i��'�|��Sb���~�ĉ4�D:DpDR�z��ڵkY�	&Ѐ����t���tq۶m$-��޽{�ш[����ղt��y�慯�$^x�u�]��/���H�d&���I�p�]w�q��"��@Wl����CwS��C�]�~='K�o~�4f;v���߿��ˑ:$���$꧁�W\a��R#�6n���~���u�Yq���<�Ո��PI����kK��缱�[Z��#�O���'^��_��Q�Կ��;�p�����F|�
��r��[�p�ٷ���o�9��?~��;����k���8]���o�;�K��?�����#�����^����}����Q�F}�ӟ.���D�|�����*VUU��������…��'�H�ȿ��}J?Ȕ&�#��ߔQ*� 6���?N��C����Ց�{����o2�������o��O�ﯮ�n��H��%��/��y��}�c���D�ӦMcy�
90"�}ꩧTt��t��}�Wr��{�%�޹s'�&:�T#��?�����'>a�Æ
(�O<��Hx"}�A�
^�@��\��F_4T�i�Jz��!�w6�𭭗�Sr�;[�κ��z��O+��w|�Q�����/��i��0�Ѳ�f�<bN�Us������Wy�����]�_8��@ZA�^U]�柺�|�S�J�p�p����7��ꪫ>��G�S|��(���~w^^�+��BW��$B!#:� ١tk͚5����N"��ߗ]v�>� �������{�����t����'2����n���f�ȗĠ�W_}�W��U��K.!��_]����K:�8��S�	���ԩS
yh(B��=�!֭[�Е��*��~�;#YV�3�<��!���oIII����.&�������]�X�h�M$�I��ї�=Z}�њ�����~���__�����~zNm.���WN9�gN�ݧj�Zz�׫;nZ���3���ɻ�s��3������=��
��U;[�V�m�W&�W[Z)@8��/�K�}�-�|�#!Z�L�駟��D
��_&BY�xq8Xii)�*,,俟��g��71��C�}�u�}�K_"�VW(e���tn���O~�d��s�9��rx�U��~���_~���F���o�K}���l�O�<9,����?_������~Ĉ�E=Y�
�
����UUU�zؽ{7
����?r`T�ӏ���S"O>���6H����u�M���b=�������ﷷ�8Rxޖ;>5��������Ɲ0n�sj����k_��;wo}��޼mE�o���zB�E��?�·��@� N/�Vy�>��ƺ=uM��crAY��b��~8�/~�o|�D(�{Æ
�{���ݱc�ݼy3�!��؍œ~��w�y']����L4N�LN�իW�_"��￟���?��d�S0b+K�J��ld:�\s
�D�ď��O�S�H77n� �+>��uEEE��F�"��R�"�N�?i�$C�e˖��M?F�I�8t�����H]d�oݺ�H��d�G�(�"�o��/��R��w�O���N=�T*_?�3�r_xA����y�F$H����^�+�փ������v���+�l^z���|e]�xI9�狞��/��5�m��m�b슍�_{p�;w,9��ן�Ñ_~�Rq��=D�/�V/.�+zI����6�Z�R���� kŊDd?>���wΜ9��ԧ����8��O�0�(��N8��s��"q]<�S��ڈ�V�Z����o&}��K�N	�D�C6/�C���|������xߞ����¼�=�!���w�C��R�/�0|������'N$��C����<44��O<���N;m��|1RW:��o��F�|��'"&��Hv׮]��!R��]v��'E���=А�F_�����|�A�MN���s�9�z׻��_����ܹs�B^t�E�����o��R�3g�ģf���?=:��;����?u�jɈ'���'����]�2c�N�Z9bݡ;+ߚP{tj��i;�zt�kw���gW��T
`�)�8}Ӟ�緽������@q���U�+ڶշ������)�-�ƍ�~T7m�TQQ��&a�"㱸�8e�O?���o��?<� NTҒ,x饗�l��֕2�ׯ_O�I���A�!�*�[
�\r�Yg��_!����W$��;�]߲���}������.|�fN���ܼ��;mƤ��}�|g��n~���-��1+�놱N�� :�����l�w������������eḱ�ږ�Z�M�GZ�:��m�����>��g��o������رc���}�5kt�a�~�������N��`iiiSSӮD�0��['L����(�o^��#'���)�)�q���d��S�N}�Qk�����߰a�g�ٳg������~p�����C��2<��7^UU���§��۷�Db�Νl�ӏ��ʊd@���D9��eC��
Q�R�>DE�CT���˗/^�xݺu�V�Z�l�}��֯_�y����Ҵ��#��˙���&:�T:P�:PT:��}C��)�S)j>��۷o���9|�pGGGcc�+���w���������)����V: �i��t�hu`�t�<����R
�d������]���;w����_�B����{��W[ZZ�Y:�
�?h�'Pi������z����=�ڵkw��}��b�7�|����onn&�'�?K��z�>�:@[�b��M
�9z��z���_z�%"}���x��v2��a�@N�>�T5�&M��GM6����]�v�hhh �����H��������eOW��0	�	Q3�D[�VӒf�L���ϴ�7PT:�D��~�Z]�n=�d�/Z�h֬Y�&Mz��'O��`��təi'Oz���hP�������M:k?�I?�_3&�MԁB�i�*[�[�n�9s�iӞz�8�w�?��9��(>�����lHv�ڵ6l�3g�˗/�1�/��e˖͛7�[��D�Q|�G�!j����O?��%K�{�M�6��_^^�}�v2�w�ܙp�0�DADADA�LD�BR���ϓ�_XXH~IIIEE��={���jkk�ODADAD��L�իW��eeed�����466�۷�DDADA�~�D)((`�>��;v�x�W�ojj:p�@[[�(��(��( �\��׮]�e˖���]�vUUU�����������!�
֬Y�nݺ�[�VTT���˼�>��G��@Z1p���A������;v�سg�����<|���'����oذ�H�ΝUUUj��^{���3���r��KJJv��U]];���2��|�M����oܸ���t��ݵ��������8|��o���[oA?H� }�>��@�H��߷o_{{{OO�믿��|H 'I��٩���]�<���� }�\"�
6�%%%�6m****,,����b���鯗��p�����%�b�'�ya�
K:�I���Ȩ'��%��`��s׼��?�x�o�>K�ܱ�@�Y��!��q�.


f�^z�w�
�z���ߕ/�����n��{���P5����F��8Qk̘1�WTBQQj-�[ 0��r�ʫ���Ⓙ9���?��_��ݎ��Su����Oi�~�~6cĈ��������:���X�l��ϙ�_/8�Ν���k���o�_9{l�%�:��{�@�Ykg-Z��Yuذa���F0�B�9�����ҥK����m�}K��\��_����	�~2��K����}/3�#�СCA��,Y2��O�zžq+�߽|���=�Nj�b�ׯ�z�~��Y3f��T��(���UH�W0z���Ç�u9�1���>���GEE�1T�ጔ�!�;�����O�?rZ�#��\r`�}u��{�P��R\p��&<�1f�}H_�0@�&}���H�YA�'叜Y�Ț��W�sy�Yc.������n
�����
S�
��O��>�"vV�y��ä?Tbƌ��"t=#0>,} [H�������<�����k1��g���@����F��0�z�/)��A�aԇ�t�S���YD�g�5�nš��[�Y�z�fv^��ۣ@�H?[�L�>��g$��3��f��E������"�'�{�e��W��?��ٝ7,;z�z��g)�u�'K����i�@��}�����X�
��I�܆�k['<�J���W��q�_��� �,���]�G�"}bg���N�LS }�&��5��2N��&�my�������M���7�<zߋP��R�_�S��ʞ�PD���cN�A���W�8�?�q�։k���Ҿ_.8tKA���g��E4jۜ�镬r"keb�~�H�V���1��K��խ��,}��IԂ���&�k������]��g�꿎-�z�~�b̘1����\y�N��;�A�jK��H_���1@���i�ƶi�)������|l|%������9pG��g��췧o5Y�7��WTT��$K���X�K8��?raӴ
mS׷=����Y����;������z��֍\>�,n�W�"��S��(H��լDx(@���틛��o�|�������n/��� ��`g��>f�}�=��+İ���ף�;�`^6�x�������j��f%p,}ฑ���i�['���s��z�Ш��,�@�D���p��H�<"���k�^�~�����{��@���-0I�ܺ)�Z-jy���{�5�|n���{7C=H �,�9u׶>"v�k�����t߸*v�F�������#}���؂�{W��?�qĬ��,}��
P��5ҿ�ɺq�Ʈn�sY˷�5�xV���9z+N�@���-0�H�	�Xu���t��_�y�Z���鏚]7aM�Å-��h=w\�e3;�{��Q���>�,@�=җs��V�ܿ����W��a��;�C=H �H�܆�k['���O��ܞW���MP҇�h�9G��&�my�������M���7�<zߋP��9ҟ�8u]�ĵ�cۿ?i�/�;� }�Y����?jA��
m�׵��{�_��g�꿎-�z�>@Α�¦ۦmh���'�[��?t���P҇�h��F�#6M��6u}ۣk;.��?K^�sm����r��o_�D�?e}����<����v{Ql<H������#����ַN,j'����Q��1X�����7���70�I�<"���k�^�~�����{��@��H�#��MY�hQ�Å��{���s�o.�ݻ�@�9g�ϩ�����#_�ŏ6_5���U��6B=H �H_�?����-�k1��7K߾}���r��o{�n\ၱ�[�\��qM?���g�ފS��>@Α��Y5
<��K�5��������P��5�5�nš��[�Y�z�fv^��ۣ`� }��#}9�?nu��Z��x�����c=���r��G�m���u�X��z��W��q�_��� }��#�y
�ֶ<Z�`A�&���V��E�����o���u�����ߟ��݂��>@.���
�7�M^�>^�킞���:��@�9G��fll��������Lo�>��m���WB=H �H�¦iڦ�o{tm��Z�g�kw��=��u�>@Α�틛��o�|�������n/��� }��#����ַN,j'����Q��1X���r��G�#�o�����5�N9�=���}����?rnݔu���<\��ǚ>���ؽ����s�����k[;�]�h�Us�o\�k#���r���m��^����_��ΛV���W���6���I�?m��'�}����-��h9|�O��Ͳ�o�� }t���[�?l�3k)<��w,=pփu�Nm���o�\� }t���[���籪�ܻ|����|�k1��Wˡ6���O��t����M"�y,]��'��J�>�|k~�o�5�r��o<Pw�֟�y
]+��~�ϙ��=�߲��P�@��e˖}��O��WW}����>Zuƽ/�t������5^:�
z@��Ѯ��1b�СCyl?l�0���
��HWE�\��k��l���,x����-��M�G�8�W�=�z@��ў1c�>|8�(����K!5�E)���@��~AA���KO�`ΐ�+�\P�?���.9���/߾�{wCoH?�m������ }���Xх��k֬yh���/�7䬂!�[��+6��uş���}�������^}[����.��}����-`�R�ȳj�������cƌ�
�kѢE�c�-�[�`�
>����>L��NQ��N��B9Rsh�$�[���E���%�>��������5��/�jɏo�
� ���
61��	q����:��]�M7�D���G?x=G'�)�9�e7�st��RY*��\X�o�؀n)�l�äϷ8���OtҏLͭ%�K�b=���>�F�߰a�֭[���KJJ6m�D-���...���~�?�O5q��`b5��f�RH" =:q�ë�� F^Ѹ�po�4����a�ץb��tOҷ��֒>�Si'��7����ڵkϞ=uuu������;x�`WW�����,��-���D����dstD4�.�U�!RfsX�V���1眾��>�I�Sx]KjY&��7.��޽����辽������_��7�7����v�lL#鳷�@��>G�o�A�~+����-�'�{F�$}�
-�
�2D�������8|��o���[oAoH?�m���������{�A�=�=�	��y=�.��!�f�I���zAX��F26��MK��%X�H��G�9+����`lذa�|:+
�0��}�ͽ�O����B>��)�j=���.����ޓ��yޟ2�[�](��6-�w���@L
���>�?�D�0�I�
�_
#61(��>J��/S����yN4�st�,3���Tj$�JT���g�^�s��!}GtJ�U����
���~=)7,}����
����>�h0H���ч�e� }������>@- }�,:Ha_Y�� }�~���`�2Fz�@�Ht0�I��(8a���<���7������ҏoq�>�ǣ=�H�v�`��%ne�ZK?-:@�H��y;;�{y?=ޜ��[��*��)�k���(�}�G���}���fz���n�+]�MB�(��ґ�����;��Ц�p\��"s�L$�����w�(�OG{3ZQ����RK檡��[���#�p�_�Ƨh�vh<��L#㢧� }��ۤ޸�~��|]uڼM������o,~ě�l_��F���U�d�$�����`j(��O����k�_W#�@I�4�kӒ-w����ן����}��ho{�TY���1�P�����n{�+��x-R��i�4�a1.z
�@��M��m|j�8���>�-|J�H�,�	�Ex7��پ��q�.=-�ס
k����m���*�Mc1�+�8�ϖ{�r��M{�c��ӭ=�	�B
�ôkT���F�0��`�2��-�M`�>��m�7�Hyb#ٓ�<Ի�0���)�#>'��V|}!�2��&}��o�X,�|���ܹǢ�3vh/{,}�[n�鰩��ɱ���n{���G���=QJu��F��h{<�� }�?xH_Wg,nWK��ǥ��9T?k>�W�L���~ʤoӘҦ�L�~6X����ОQ�Hե@����mϸ�)�g��O��-�ȇE�h�~�A�H?�I��=*�~�C>�U�i�pO�8���q�S�3�Iߡ���p^ë�O�>���@���E���O��lp����OjዺG�GϢ��|0f�(��� }��ۤ�V�x��4V+x�/����B)��?���gT���8��}�׹&����w��*a,����4fĵi)!�شG��	����`�h�$O��3�t�K�ڃ�>��Sp�.�w�n{���G[���d{0m���_����s���x�K�ȘTC�6�����d|���s����e����:3rzI�@�䅱\�_wR�#�Ccz\��ܤ R{\\�i���[o����pz{HJ���jS]
�oK-�"[��0�Eӫ�&����4R��EO�A�H?�I�rd�sF�%�mkx���`�����sH���E�d\$|Y	�#��l0��&�>��s��G���@�����m�>�Ї�e��������>�h��HE
�)�~�M���Ϛ� }�>Hz�5����Z_�z��	��ä�( H��A�IE����9>�3ؠ��y }�=S^�n��.P��}w�~�ߔk�Q@�>���3e`������#�'��~�e[�½��A���nܑ��w�m�xQ�N����+������Ն`|�.�T������`/��T��#)Il]7��)�f¶d
�3E�K���TH&���f�[���𤪔��}hy�;��~��	��荳����W�H?�}��7C�q4owM9$ }�����o�λ��o��z<�fyo�ӛ����}�UW��{�����_F�ر{�b�:U�x����$6E�Y'�.�c|8Y꽹��m��%R�.���
��(��f�Yj�x�R�����sR�q�+�QY`��� }�W����>��!�8�wR�H�����}QL
f,����7�3:=�2"��Mf��֩:�K�$6E��;�s��`	�TH&,}w�1�@?�/��#I_��3��%����_:����n��ʐr-'��
���釻�e
��n�5��Cq�W�zH�jl�#SHx �C��HbS��=����
G�c09��F_,}w�1n�COm{��>�ٿ	�9�Bv�wlk�R���?VF�� �&}��O�e�E�Ul�Ϸ�P9��ѣ�Y�A��R�ē�G&�G�{09#�	K��f���H?����$����h9���g�� ��N�a�#;K#}������s�..�4l7�wR^P%��x)Hb�v��d��B09�RH_,��mF]�C����vj����˙ �p�G̐r-�QS1�����$}^k�/�Q�D�* ^���'�()
ݥ�*�������X�p�X|)�m�O�R��'�/Il���B>��,�
����|�TH&,��mF�US5�_
O�g�s��^�~d��o�ʡQ��
���)�>���Oߪ��މ�0G���&�"e�˦��f�zeO]�)#^�C�W�7�t	#ų��$�ё�N��V��*V�W���ڗ`�r����n3zK a�0̿��o{���I��>��MV9��O�
�QS }�?8I?;�=�C-� 3�ö>��>����`�L�_�� }����>�@�@��p�2���>m@�@�H}8`�g�AV�:�jy`U|܋cK���A��>��7_��=
�ϡ����äO�������~�D�D���K�%�v���eI�|\�9H��F��׶"�Ij7�M�|�+ǖ����`��%=��v�@�@�p}�����mN�=iT�'�[�G���A��&Ԟ�6۪�эR�˫ߢ��	}�%Uڰ��)dx��YS,ݑn���:���m a�QG%���W�n9�J7X���<[\ޓVo�}	�PQ�S�PQjűU�#0H�6�g��8+�8D�/�b
��馛�?�Bx#q��gӨ�=��SDչ0�<5��Ƈ����>F�KA:ʫ�2Nr�T'�H9=�4�&͹W�,K��#�WR�N�~� W�$a�qT�.!]��č3��h�}	f��,n�V[�8�� ��F�����9�3@�#���0�z#�0��fS;O<��z)�
�W��u��֗*9S(#���D5Z0j$Ӗ�m)�*u���M
`�m9����C��;��N7�{0ϧ�������ŧP }����o3�����"�7!8$��G1����q�����j��o)���tz�rz
I��<`�,����[���~>����g�Jw��U���F�>s?��X�űUM�B�0H��=I�����<�Xhu;$�p�'E��^�VR=�CN!
�F"�C�$�~�HߦO�J���R�-����OA�I�]�Ȫ�)T����~N�~�}�=�]�=� ��ݜk��l+��H�Qް����%�<�=R$��
��W3�j��=�����]p�{��~%l9>���*��5�}��U�rq"�,T��A�H?�H��Ľ�����b������+��C|K�ə���H���<�>F�������+��||�]R��Mΰ��$l��}�	��w�~�-��6�/�s�E�	[����R0c��숫7�3Td+�[E)'�j҂���`#�ر�E��G̢�W��M�<����l3�*}�K���4���k���=\
GyU��y�0�]R���rF
�&}�=c$�ϖ����^�s��+��c�tCB��ԫp��z�{0��O�CE})N�j�A�H�>�Z�>�*���ч�e��@��
�H}8�Z@�����ر�	�s�b�U}5�@� }�A0� �?%�Gũ�l@� }��?�����RV��a����WG�^7j��~ST���g���@� }`��x����bî$����'}��@�H?WI_�Kw�ҷ~x��O�3�I��x��nܖ�-�c�@�MYd���^��"�V�|�#��RX�uM!s*M�����W��~l���
�gK�Ԛ�^_t]��Q����l�pqƌ�yg���x�H��D��
���s��Kpw�Nua�����=��m��7]�V՝�=��\"�<��jCrG���.]n�)pREKA`�M7��=3+Y?ˠ/*͐����[��H?r��x�A��6i����cs{[U�ڰgk74�C}:�[���5�\c4����[�M6�>��m�7�S0��ϯ��o��2θQ���96C܇�X|�A���)<��!SX�>�0�*M���{NlƸω�}�Hێ�u��Ӥ�g�1�&�JxVM�z��g@�Ԃ#5�>��a�7Сޏ{9ǁ\����Y�r	K6�R;��	��T��y
�����&DŠ�D˱5��O¼l�1��.R8G�-�l��!2�ԞbGj }�?H�{0>G�ߒ�I���"
��\2G�|��o$�ne��2���!��J�e�G*9���Fظ֍_�O�H�M��S�����-�ԞbGj }�?H?�O�'��_ԧCst��	,@w
o��n�	Yu�'.yM����!S�A�}WiZ�n1l���Lv��חFD��B�3Tj��ck7b��,Fdj�=Ŏ�@�H0�>���zr��eN��\�
��ŀJб.�SS�?s����ާ�yy
�2�
��0�Q���b8�e��#_�=}���oK?�&��}!�J�]��H�j�+'�B>�Ȗ��l9�����	�ב�g����'�ر�q���;r�d[�|:�
8�N'Av�Ĺ��p��T�d���+T������b8�%!���S�jG>�w�bK?�&�=�٪�݀}Z��a��ջ����f���h]�� }��ä�G0�*�9��i�|���Ɗ� �Aއ�A�9-f����%�� } ]t��DŽN
�H}8�Z@��h0H��?�g��$R�uL��U��~�?�|�H��o��5���-6H�'��v^^^�r���Sqa�G��&sM.�q�
�G�
���=I�x�����H?{���x�:���x�8�拾����}S������.jj{}:�~VOA�)o���9:����N��h�]mh�0%<��[��6j�G�0��Ik($�j�;��f-9�з�KM��m��Տ�c�HF{�{�<�Fa=ۉ��c��A�H0���o<�-�C��ɨm�}näO��j;5���,%�2��ߕO���st��}��0)D���k]m��؁�����I��:��M`=w��;�C�n0�
	W��0���NT>�Ƒ+���=�|���,}������q?T�QXw;�=�1�ɑ	����` ��n�&4t���R렸6�RoC2��)"���c%��;�R�\3���ύc��l�kĦ�L[���N6Z]���P"���,��Jn'	�>4j���y4RZ�Ƨ��B��N�	F&�@�����=��y�|����~¿C,H(��=v$bCd)�秫��lg�O?��G���,o_�M��
q�>�S-����"�����f�<���ƒ���n<#)����(��>��1ҷ����ஒ�rG�$}vH���8L�p)R�r}L��z���#vԈM�H����8�V���y��Ww�.[�C��0^�s�Y�D��m'	Iߖ H��<����p���O���'n�~¿aG�����;��m�}J3��t�s�c���]�>j�t��Q��DV=�ԺG)�~dj<�7��2]5FR6���\��kK�����_����&���cƌ�6���k���I_-I�߼*�,L�C%�|�D"a+��܋��I^����A��V�
���kD_-�v�<e8���jC,]NG)����-r!�^�,f��N�j�[)|R��p�ۓ�xxm	����` �X��\���Ϊ��u��^��--��x����1A�^W��x֑��l��_��4s��zB��X�x��&���g��ؤ�)Ĩ��v�BR{�_���W��
OpG�%[5 ���ÅM�N�O���%�@�9L���BPT��}\����Y������'����9��z�N„��YN�?d	x�L���'���	髝��g�>��H���@����
� }��j@�� }����A�H}8�Zp��r5;�>��B^^��?�~'<19�٥�Bڅ� }��jy�.�߲̄� }���t�o�5l�0ޗL߬�x���[m8�i;����f"7�3��6λR���q�7�i`���5�V���G�1�ey����tƎ|�(6a|B:�1��P����H!��ݦ^�>���>���Vےs�`lK��Ͻ(o3�w��f�m&r+{��px&S�-V�向'#��KET�6�W��Rx��>LCt�)���L� ̞�R�4u�Cd�H�}B&E�<��
7x_	�T�����~��G��b�yp1�A���?��f�r53#Yɝ���+��(c�Z
�y�X�%,�gȤH_O�
��XI�iS/H��j��Q�lF%<��UK?�6���K�i�A
��P��뷌"�`aG����'dR��y+)9m�� }����+&��?d'��-�u��"u߂�<��&}[�H�O����� }�?�p2��j�n�[�mv�j�s�H�ͤF���02�q�HX7;����Q;zvz�x�]�������� �\�v{����+�����γ��N���7�B>�ͤF��4
�]������:}U�lWk�x!�.�P��Q"�	id�3��O.�(!��B&��C� }���}�ZPm{e��"�i��: �Ae��#�=�ͤL��4m!�)5b1�6~�N_��CW�@ۢ��R�N�Q�6���
!��ݦ^�>��m:`����0���v��
�@�9O�����*��@�u���>��h�1�7K�N��M�\p�c������j� }t�� }��G-����;_�@��@�9�>4P?:�����崧����?�*�[F��ա��&��q(�����>�l{�8����y��g� }�>0�j9�������wy��gx/ܡC��o}�9ޗ�w��m��O��茌b�n7Ǜ��E���d��$���/ҷ��6!L�%��1cX޵��b�Hߦ����>�l
�阏`P�ҫ-�y�Y�u���P�=���^�XImϧ�7��[�-r`&>�_��pj��V���C%�THi��HH�|~
����ネa#}�Z|��@� }��N�8~N�k���δe�4��s��K��Oz`�N�*��r:Ήf�Ax��M����]�6�w�%����>�b�9}����G���4}i�-|$9#Ss��>��46.�?�V��6�w��S��X }��P˙ }O|�^nu*o��p����r�������W��,���mj�t�@�Ht������W󉍺�:!���'��Rs�i�`w�<��s��/�HY�;Ԓڡ� }��P�:"��j1}!_B��(�FN���b�k�:]-�3���Rs�ɖ2_7�Z��X�����/��i���_c!_����$��C- }��fB�s�@��o��a�;hD[:����Ni�_�<[F�c�M���v�f��~��#Mf=�zeO����뤯�:�W���$}�ZR#}[/�@� }�`�� }��0~@� }����H@��
p
�@����2�� }������><e��A��Q`j�=�>�ԣ=�z3����`?dH�Æ
S'�����1����s��KP�=j����V�@� }�~6�>�^?�@����]=yO�tE�'��߼/:8��F����J��V��ܧ�-Z���?��跾W*�u���[����hU�dmj�eS��*y�!�j�X�3t���`�ySz�V�mi=��wI�����GW���2�j�ƛ��Ȧ.�B������V������"}fs>+Du#c$�" �.��0>T��y*�-�q��:��/�O=!o�Χ�����~tK��I��OF:�ṗ���H�����]b�-S8
W�NJ�i��#O�������l?��#��.i�5B�Cm�̪��I���(R]a�O(�[üB@o�V������"}�R��Ƙߩя>�+�ӑ	O��<��O �髕QL�_��VƤH�'����6�l'���a�ϭ�Y�F�scmZe����+�JHX�dk$���FV�+�TW����ְ~��F�V�������"�!p/ǝ��t���ɰ=b��72L��u�<I��X1G�I?�CK��a�8�(R��t�.K�(��ĦU��*�f�:J�B���k�gk��詵"�!jI(����m5��
�@�����h�n�A�<ը��x��dG�q�;�q$}[���#Ւ^����Sg�ڴ6i���ҏ��*eGC�$�Z�́�I�>v�U������5ҽ���>�\��pF�1����{_�k����e�9fS�ȭ�H�8d��ؓ�a�,}�ɬ�>��(?2���)������=[Q��R �d�F����
�@�9L����xa�Z�<�ʦS��#^p��c,��`	��|�1c85��T��.�B�320TB-�T��-r!_�cw�0C��ZN�/�shU��G��JHX�dk�[>'żlk���|	[�M])����
��[���4� �Ԛ@�>��a�������D�sGu5<�ma�(�p���W�xys
\�(�nK�=#��-��!mj�u~e/ܱ��0]�>e�(CuΦUCr�G*�Q�dk���I�5��ʞ� u%K���I_ou�r�VC�>��U�P�)�9�C�=uјD�A���>�|^(��~ }��P˰���@�Hth0�D� }���@- }�>�GW3�Qwk�'9�`���qf��+H@� }����e���Y0���Y9�@�>��A� }�*�<�u�[�T�������RC�M8��H�?8I?�e��?P�.�y�$��~�=�_�����q�E��4%Y1�[߶����\x[0�V���E}�>�c��<sT)���wy�Ww�|K�`�+�,����Ԗ-[���~�7_�զȾs���1�-���D{��)�mOE�O�W�yɧ�zʿ"��z]$�J�&�
����z
�E�9UG%��3YY }������t�w8׷
�X����}��_�,�e�v����_��!�pR�9����}/t�N�'�YQ*A]]\
}7c�Fj�\s
s
_���2˩�)�I��v+�Q^�jeu��$���'���2ՠ���O�"t�Wu�Na�Dآ�y�e�S�,�ϠT%���f@�H��>���bڡ`*�"��_��[�qr̿	��pR�9�ݣQ@���SU��D�E����S��q�!��U����1�r1�W�[����9��QH0u��l�A�T��3o��PuB���꺣�i#�qWH��$�۩���S���`d�8��8@�H�3G���c�}�q��S�H�X`��Ȑi���u�>�U��ݿ��xe[>�W�.��lE�o�7�d�|
F!-��̀��>Hߓ�9>�KuV�u�o�Iy�h�vl�'��J�/���S�6��OȾ[��!�M�H�6lX
%Uj��>^j�ԙBE��jN�
&�p�%�O�� �\%���6r�듰)����7��{_��x�ؖ�g��ݘ6a���߆gC|D�!��ډ�#d�-}Gy�b�}�V�oϒzFa��I��*"�<�֑Bj�S0��~(���K�� ��N��R�ȅ|�Z/�p��D8�Aw�j)��$,�]%�8
�`K�3G%$/���qm�:؁K�/l�Ֆ�P	}!/�V��"�I��컥�(�Cc!��b�B�S~c!�-���*¨�R8�Bd�l�>ψ��@�H?'I?v��W���Q?�w����J�;|�j�TpD��������<s��r��N�-S7;�R���B�+��K��+�洷���;��ň4x#_�s��ʞ�-�f�Eu�Bj�S0��T��|F�m3 }����U�w�P5h0Pl��@��j�2[xCݽ�آS��@�H����
o���@� }��P˨#�>�@�@�@���w�yz�U�9�n00u��˙&
�@�H?;I�y9�d��iZ������;t�P�+����~n�~^^���D�ҧ2�Ǧ�ȹJ�����4d�|d�>���h����7]��2�v����� �&}}W����7�"7�2���پ��M��wե�~}��	��Ŗ,KB�q����\��	������)s8qC�J{a21*з4��0���N��7��SHX�lzHX}		�q&UL���xz�&U���7�v'����@�H?�I����{��[��B{������;��:U������7�D��J�?�;�:��,w����۳�	���_n�N�̶��M(Lz
@�@E����w�ͼ�.kc�}#��7�����ҧj�oyb����2&U�����ٖl��oŠS�H��$�y�>e/�Bm�>��8;�vV��/�xF������,�d#�ڣ+��O(�q Zd:�2�w+�&L�,}�"��m�2�)$[�n=���/��V!2��.�m�n�O�t$���WH��$�G��ዑ�ڂ��{�#	=�G����9��v'k;޳�>��ΝWw&y8q�b�¤���Y�S�n��}GE�uT__H�眩�
�����&���WH��I?!��,������X��-[YlɆ�
Z"��#Od�>���C�a2�:wxj�M���Oj4u|I߿ 	I_�l����@�9I�aOi�=��'t�`a����}�<!�u����Q��d#�a�m�O(�-}=�x������P��Y�n
{�~��w�O]	[��G�OO�O� n��%v�T��l�ϯŁ��~N�>/�q/�eK	�`l���YqWF�*b��RSk�yA�x�i*�\/��,��F.�3":��P�v�H_O'Rf[�a�*�9�ɴ����P	�B>��־��ބű�OOҷd��[ewSrؒM����8�>��Uҏ�vO�+?��ݯ�==��j��-���E'^�����EU^��wM�e�%����x��V���p���#ӉԿ���X�=�d��wh���-B~�A�	k߀M	�/!��ڧ'��
����Y��R3lp�~�z~=+���s�����L��7��)9@��H��A�YN�? }���a�H���4T4H�P�H���A@�%�#h0�*�;w�US` }���I���N���$Sưa��v�id�r�j��@� ����#ʌ3x�yj�g��?�p�H���A�]F�M��Z��~���>Z����������{|E��oLg!��VO��	�eV��e���y��1$I����Wl[R�Y��rjk���,"�N�,��E���$��7����ٹK�XG{����6P4��v��`���ny��bG�3JM����oB|R� ��&}�p��qҫ'�'�	\߂�7�gP,>�����UWN��)��+vH�lI#%7�Dj`^�΂�Q$��,�v�1��Sx�Ֆ��U9dx�܄%�+Q��ў=e0H�����Fj�׸�)v�*�����#�q�I���s��m|���r��;��9w��5�-�p:�J��vYF����rH�BIÒW'��c
*���6��Z���83����l6	ï�#�A�z`Y�҅Q�<�vW����6���q��L���s��i�O]��i�K�I����3M��q��N/�3��%I���g��觺����~ZM�-����׳�آ�ڳ��S�t�햧��*v����i�H����@�9I��!S�����D)�;��;vE��~#}%�C�L�~d��)��΄ɟ�O�H�ў���U�h���y�ҷ�n� }����ot}t�a�'����#G#qDI���<��$����~�C�s�	��u��m6}/���A�)<�H��b'�b[��6|���}]ϔA�H?�I�W4�j"e)�� �r/����90��V%B��Z�e;<�1�	5�l��eSV�C�dK���|��ʋ�J�Zxe�2H!]�~���C�	K�ў���=�NXŶ�o�؍�|6<S� �&}�v��qQ/�G�P](�e.b%��
pG��X��N#���N*Jٰ��$UҤH���k��p�F�[��"e���>�݇��	���h�C��b;������F5��B��@�9L�P�3@�"s7���>�p���A�Ht�� }T
�G����i3 }�:�`�>H��><��C����I	L
���>0H�OK��?%����>�@����ˋ<D,�D�~Fm�I�Q�LX�iQ,��>H?���z��A	io0H@�Y�h�]�1}�GuDnt��y86:3��w���R[���yZ��4o��ۑQt�M��Vc�7,�C[)x�4c�@]�6h},���F�Zpl�i����L(� } ��O�6�֏��iN�k����'}���M��N�x�pE��S\޼��2Uyr�z� }�$�Rg1�s,u.���\mx��Y#z�\�;q8!m#�
@�H�Уy*Y�p.��=I_?���qu+�_��x�%�y�� }�$1�]�Ç�gɥ�4[U#I�B�Y������<�d�2�D������]6cmG~x������)���>-�/%�Y#����G��?
@�HHˣ�]4u�쒵�aE���cqWv
�`v�~_Jd$��Z(���~?(� } ]��A%��aÆ.\ñ�ܹ1��'�H�8^�o+�ý��ݭ{��R"[Y���&d?p�ͽ�	� }�����Up�6L��6��~4����1c8NЇ�yu�*�϶�w�b�D�B>�֭�KD$H?�z��V#\�B>]��5���B�I���H��<��}+�5��m���/ꌩ�+���}H�T
(��>�����V���7�(
�&`+���Ŗ�Q��xY��*���~�=�	1\
L2Տ���n�u�W�@� }����O6oȣ�����Rϱ�k<�u� }��W{ąw]r���A
@���>H�Z:�`�>��ч�e� }������>|� ��䢖�>��t��AE�C��P#?��A�H?'I?///�}�L�~�5�@�H,�G�@�H�]__�;��&��m�U�%}�RTTĜ�'��=[�d�
�{���y+�Nx"[��n9#��%���ax�9�f�_�dk�J��Iߖ�*�Uz��S0�눈����>@�61so��ȶU�|=ŧ��U���U����aRsx��V̇�;x?R�rF�>ˬ�2�!G�§^?:G���HJA?Ɏu�N��>�@����f�:�����Ԙ<uNY�L^�[���s���S0�I��2'�3��)u�G!�LV��򫣊I�E�v�,fvwD4u����^����3�l#�!8�!"#6g�s��959�.yl�L�n���O!�!��ތ"p�ѧ�pX�H���E���7�6���f��{a[zI��e>_��?Y�So�룷H�W�Ժ#�� }��,pR�}}B�A��d=y��ޏL<����=�F�s��q>:0Y�So\I���{���j���w?��A�H@?ڼ�!��Y ��%2U��G�q�,3��_"ev�ɋ
($��w�1�����Ɇg���)yI��7/D��pDDS@�HPD��'|e��S�3��\��Svx�ULg�rwH)�CN�ޫ�v
��g�>��jX�ǖ�ͨ�|e�GX�H���P��H�4(��@����2��>�@�@��G���>��A�@���L��
:^�Q�H@���~C^^^_Τ�ct4� }��j� } �����[��v�C�g����(**�S�`U�j[�p�|�С������X��k����{��}���)���		�=!@
�+��]��;z-��`A�PU@Q@�J��rEl��̜=Yv�eHr���<�|��7��9�9��g
�w��}���!<�"����>����T�|��DE����Xx�u�T��C�ψ{^��Z�D��A_��=��?�j�=�,!�
��l�¢3�`�0'�?�cE��j�M���ji���+m�n�,�p�
B0�jz�W�Fm�b[�1�[���U���w�����N���� B�dpOm��� ��XDŽ���ug�Ǫ��徚Vs�7��u���ұ��̽������/�?�������j�ʀ�Zx�D��A_�A9������Ƕ���!{��^�$���u���E�|U?���M�^���������
l��H-���� �0��YU�9��5��A_5�Q�g~��������=�A_�D��A_���=���9�?p����5w�/��>�k{_��+�jƾ����߾�K��T�Z���nݺcǎ�{�:t���'O�<w�����.�&��;H���e�{q���AFf���/�_��#��^{����]��Z� �\�γ�����kZ�Τ���1�w��n��'}A�I�������s��cǎ}����S���ϟ?/̛ B����O�z�� �{�AM��h���_6F�W�jZZ���ϻ��4���Am�6��P��t��;Ճ�H-� �-[� ��޽���>���O�8q�̙��¼	"�zj_���
߂F�a��z��{w����/�?n_��'a���p
���5k��^۴i�;Sk׮�{�<x��~��S�z�V� �A_B�� #�@���~�7�m۶cǎݻw��_|��ѣGO�8��}a���p
D8ʂ��'��_}���۷o߹s�={>��Ç�y��o��M!��@a�2j�
^z�%�-[��a���>ڻw/����/̛ B���GY�Q�f��3�<��sl�����۵k�'�|�Џ�~a���� ��@oڴi�֭�=���O?�G��7��w�پ}�[o�%̛ B���GY�Q�f��P���+W>��?��Z�@�M!��@a�2j4����?�۷oݺu�V����{�.]z�}���_�7A��/\��� ��I�'*_}�n:t�ر���?gϞ�M!��@a�2j�M�����_��ԩS_~�%�~a���p
D8ʂ�����{��~��…HO�>͂��s�yD����`n� �].{�{]�kFsy �8p��fA�����_��}A��?R���(���}I��?��?������ B�.��A���'�O?�4>>~۶mgΜ�M!�yA�� �h
�{��Q
�����555��"}AD��$o����>�o��\.G�OLL|��D��"� �F6m��o�;w���,55�}�B10�o"H2f�0�"� �L��իW����7n���		p�����������o�?���_�嗇���O�R�뮻�OADA6�c������?���…�B�DAD�Q��O���G��ADAd؈�A���ϟ�駟N�>}5�~CCCWW�̙3g�AW�at{p��0�i���\�InK�j��_+Fı�:'��A����b��;{�,��Zп���3�,_�|з�W�\�aÆ�۷�3B]E���ݓ�a4M൚�k;	��^�UF�>�;g���p�ԩ{�Y���>fL��1�c��3��h̘Rc�r���8Wat��Gпp��O�<��z>���7S�N]�b�a*PZZZ>��A�����0�=�aF�lr��ȅT���k>	j�FO�>���E�)HY�H�#�>�0[Z�����u�G��r��G�����~u�/G����s(4�GDZ�y�W���ǣ=�;�W�^=eʔ��{o(��y��q��{?���������0�&p`��W��S��qs�M�ڨ�ï��
W����ǎ����x���q�ĉ)SfG&�xա-{�l��W��@F�Qp,�zt���5��8%�����>�������֭۶mۇT� ���4�Aݸp�B���]�����ZFh���q�C=�Q��V��͛q��=̃�����k��u�.��NjY`��q�����(�>9r��/���O>���e�Lݨ	��N�:x�`h�RSٶ�_:�̮�kw�^�"�Zg���@FT�ױв�G�<\y����صk�l�
�S�N�u{�ܹnnn�s��'Ozyy�2{ٽ��VXX(�Jo��6�N�_�>"""77����Y^|�E0���y��e���A�p�
��k�Pmv�܉�����p>��c��5ǘ��������9��x�K\Wm�V�7g̘��r����aA_��G}����M퓀Z)))������jw;Z���~%Q5z�gϞ/����W��o�{�����%F7k�,~*0�YYYڧ��_�����N�8Q���h��

����<y�
�l��ݻw�7}ȴ|w�s�z���m=(�r;SVl;�"@UPQ��_�ʿ��=��A��о���%K^y�U&��-�5�c�t����c)����Z��O?�dff���k�sKNN�u
����Ԕ�hZFh����$�ں��"���%�׻G�ՂI+))Y�jգ�>:�~^^�j��1�WTT|�P���p���P�Ӕ[n�e�A���j{�۷o���&L����c``p٠��h}�Ů�����qA�����Ʀ�@�����t�ͧn]�$Eʲ(4�QE���e�_����p�A�'#<4}G
�[�l�k{��7߼��x�WWW��Â����@��e���===U�/���t4��SO��j!^���駟�㰋����1���+V�o8�v�����C���s���|����6x2rss�o�z���1�⨇t{_5(\�^k��'��?�����}Mo0��}dY��~6��=�M2��6oײ��"��{������ୣ�����H$z�7�;j< =z����ߪ����…��C���8��.9�D��rww?t��?�paa!������E�����X01�˖-�s:�maY����'�Hp�e>q������Ž}Nm�1?�'�O<񄓓N�ŋ�mm\	I���w�><��oo�p�M��9k�9��am#��@
dT�=���py�y����Ǐo߾S4���w߽y�f�ӯ��Do_y��c���z����=��8ST-�RFF�q
���Wпp�n�1��s����z����uAA�O?��йf͚�����y�$��OJJ�,--��ߴ���Zooo ��=������D|�	�k��/<�}������
�8�j�X��"����p5HKKc#�}�W�X����\[�;v٠߯/45_Ǡ����>�LNN^�v-��T�>N:v.Y�����1�8p�=�b��	���ޑ����Ϫ}�˗/G�bG���*~��W �0�#%�W/z�_�Я$��py�y����	�v���ߣ�������k�u�]w�lW�}k%22kj����L�2���د��aÆ��`�Codd�����={�@������p����Wo��&L8������k�l�֬Y����m��L�&��]S��e���P�%��q�}���M���ǭ`}}=��]���d���lE
x{=<r�µ�G����/������_�?G�)�G���C��e{A�Ν!!!�����7ndAWQ<W�.�����_�j�6.¨��;s�Lv㊨��>{8�;w.��S�'��+N�2�n���>�`L���s���9��3Zh ������py�y����ȇx�k���qS���&��}���%œX,f��w��O�+�?������z�?�7>|�>�zxx0]b�ˎ�'�����z(�~�!~`q_u�Z-#=�#"lڴ��|���Ї+������M�S]$�����+�L`/�Q��?Fʾ���*�!E�C�����o[[[���+W�A��oz{{�J�:ü�����oŊ����p�!�^�g���u��2}����d�_3��P�=t�g��NW���z�O�E ���A_�ʿ��=��a���ڮ�ѣG����}�]����999̎-weq��]�x˶m�X �`��d2���
���h�������y�p႙�{��f@u�#�`�Ѩ}{����m�k~�Os���}ՠ���>j���iN�h<`������A�W��S�*"��M���Ƶk�B�����'��?��"ڷ�������7�|�"���|\���τ�븽���A�ԩS�A�...ӦMS;
y�_��*B�
NI(�غ���H����{�G�\]]���n�DrM��{�m��{ϰvg�_U�����_��@F��5W�`-��?W��߯�_YY9}�t��۷o����D]�;���r��4Ȉ\�Tp�➍}g	�/���丗`�gl�O�7�x#.�7o����#�<�;턄t�*};;;W*��ŗ�͘�f�x�{UU{I2?�clhhM*��5<D�ܠ%��2���eD}Ոς>NI�A�=�GGG����&
�U���T���ƍ�1...$$�y�<y�X,޵k����7�i��5��B� =q�.GLa�<�?j��A�����w�f�>Jq¢�����a�����b�ٯ�kkkaāHMM�=�㎫��ax~����I֊��_�}���l#(\�o�v���Qh ��3}��?X�{���P�A��K�RSS�����`�j_���e_v�>ٳ��<h���ѣC=�A��?s�x���o響���q�/���E�C<u�����Z�P{��[�{ݷ����O��>.5���VY�
�Չ}���k_Q����n*p��������b���Y�~����+��g���է�m�x�΋w|L0��o��1�H��1)4�QE���i��AY����g���q �؇�����9Cw�8"&gѢE�}��~���A_E�*��r�F�>:W���?(�o~p���Y���!�y�5�}�q��W������?,j�$lއ%k�����]{/>�9���{Fɐ��g��@F�~��X����g��;�y^�~��Â�����5��7�i���N�<�����_��r��<_��i���s��/�{fAD2�Ţ'\���>����L\�S=B�@
dT��kx��a��?�����3}�߸1�c��ކ��?:g�����~i�����ϿPa
��駟@`_hj��7�a�u=�����}?~q�w�X��{Rh �����>C�G�����ߙ�������6	j��F>����9{�,�jyr���U���i2aDQ�|]���sv�,���z"wڭ����?����M~d�������Ġ���%C�?��<��	�&�s�'Am���ȧ=��ʅ؛�P
�E����?j���s:�ٳ���A ���M/j���C��<:��C=�MZS����
v��}dD	:�n��0�l���\�IP��7�i�n��A���b�C�5���9�*����3�tvv�jHJJJAA�@M��Gб�y�u{���_���D��*~9O�[������L�M����r(�8
ت!���Ν;Q�����y��A��DA�@���ơ�Gd�:RM�N
���y�� �2�d�0�2RD��DAF�$�S��q����'�2"DK�W���5�


]]]3gΜ5B]E���=R�<��	�V�sm'�*�q|���˗/��
STS�@/^̂~�/��S���w�2
����Zm�\�rÆ
۷og����ۃ�'#��h��k59�v�¨�;;;*eѢE0e1����n�5_��
S��3:���^
������ߠ������G֋&��w��<��	��\���'a��"fmm��ɓ�Q���`��K���������?����??|�0�`G�a�TpYC�"]�@{��t�A�|U������������
�0*'p`�s�����5�C�����0e�������W����*����^
��|,���?(�|п�/��2�����}ָp�¨�8.8d�?�a��X?Z8<�-[}��J�������1��\�w�X�
�---x���"�f���#777��ʿ�W3��'N��a
Dǿ��t��
�쮆�k烠��A�?����Ⱥ����Ġ��S�'�AٯS�L���R����\���������^^^}Y���
���n���U��p�~��Q���&�����w�܉a�"�a~��ǰ���XP166NJJ��r��kM����*gkkkjj�3%%��܅tuV�P�{_�5}��Y��v��$�_�>""K���d�}m\h��Բ������:}�t�wD3g�loog��,�w?ZW��^�>��R��s<ݣ�0j�?��
M�u���	���5>.& �V��g�e�"��Ŋ���?������h��+���j/]���ɏW��g#�e>�;?jǷW��|�?�'}Ն�������l^^��wj���g�"��k�G��-�6ҟ~����l���N��r@@�f���W5/��=��C�-Wmn����J�z5���Y	W!�#��lڴi��>�|U� ��&A_u���uW���
����:�����
{��̙Â>��j�q��R~���k��_£���������^W��k��^�+4��̹.|v/�;_G�,�U�/�)Z�Gu>/��5����SG��������ƍ{��W��i=00P�wj���y�A��������駟vttă��1X�pŊvvv'Nܱc��������ݹEЇO�9r��AGt{��t���~�-::z��͸�6��A777>��
�������r��a�ƍ�֭[5w�qhOe޼y���<�����>>>			�Hˌ��H�+a�o�E|X��>,�nG�N�/���%�t��O=��5��W�7f��������jj���R�:u*V��'w�Y��)s��I�|\���_���?�U
|j���=߷�Tx�]{�����v�*��/�WMѿ�s���9j�}~�:��/_�����/���x{�_΃5/��GTB��w,�&�����Zooo�ã��,L|�A��.l߾�����_뭷b����x$�-Ě5k+触�P���ჾ�O���ׇ�{�RjA��痔��`]ZZ�{����N�®i�j� nnn��L5���ދ���ߏ��k�j��}>C_F���>�����FP��#>ո�l����$�,���`:�ASS�5	�jߣ�5AsW��R-_���*K�.]қ��x>�:���qa��
S�,�<�]I�W�P
O���?_���^�+x�e��L�3�jž�}�%����������}~��x�׿��{
��ڮ�666!!!��˄ᪿ��}}���3�N�e˖-���8�U+nذ!88X�ϳ�����+����{�g���W�^��ʋ/����ݻwK$\�`�u[�k�����M7݄B�����ׯgv<I���_<S�r5��A���)/x�_�b�'M��ˠ��/�<v����n��+���k%��}/4#�Z�gA_s;Zup��������k����O�׮,�/�����������)3�e��+��M��m\�d{��?�y���H�)�������}�;�CA����g��h�h�3&�|F�+�FP��}�jG���A��j�Ѡ��?�CV�k_�o�?�a��7��{s�����}�^�Æ�?��_�}���{Ὧ�z��U�?X����"��߯����\��}��mhh�z%W��{�t�sLUy������U����1��g���3�U�VPquuŃ9�j�����Ã���̙3������IM�՜�&�����=��qs�k��g��v�B�rrr�
�����J)A_�.������_up��b��y�O>�����?زQh�����R-/�A<]�Un��6��8����.\`?u�C)|Ex�GO�$��?`D��?���v������~���_���W��|�1]��'��>O�k/���]��K�����e?J�j�z�4����NM��/������Ԩj�z�d��c�O~ٸj_ս�/\?�����K���W�K+ՠ�kŶm�TC<F�>�ִ����'��MDO�h��>�?v�X_v�;
#����(333��_WW#���o�G׫�*��gPPPzz��'�Ũ�G����@a�����N>Ƹs�N�3�e���a���{��u;Z�|xȅ"���(q�G��?�j�[�f��CDsDU,�{���o���XWjw}	�1��}���o5�n;h�@��ϦT�<�Z�畢�����_*��׽?���g�>���W�/;?�~
������}5>��Ňv]\���Gv_\IӇ?��꓋j���yߎ�l;w����Y��ԕoV�ǥ�_A����£(.S�7o�����w�P���PUU%�J׮]��j�cC�w*�|��y��#�x{{'$$L�>�Z}<{������f�;;���B����?������5-W�-66���ϛ�0�nB:����^QQ��E><���Hˌi�@�+at�^O�U��q?''������������|�����f<�ߣ"w�}7K�஀=�z_���R&��4t|9���?\!_�B;�׏?t�s��������'2�8?�O�s~Ⱥ���G�j|�Nj��ᇋ��)�#I��o����_:zn���>��e��5����
.�|��N�����U����}S�m��]a�,��7(��l�v���u؃	{��\�y������G
��^��c�����^��5'k��ɓ�jԃ�o��zΜ9��j���~�>o޼�S����j�����w;y�z�a����w�|�k;^�o�]��h_�O~��O^
���_<���������qƪ5���<j��p<�_fr�����<�]ӈ����~�V�븽����5�C���k��4t�C�� ��*_�j|�E]���?�>|�������͟�{�m����s+̃���
�:�������K��P�?|��O�xY�5��5J�����/�|��_�}����/{s��B�����g�Wr�A�Z�!�D��-/���V���=����;6]�~o�[���pv�{wZ�޿&�s��ѣ~{_A�.���Áey�?����ޱ���׎�Z�gʪ-W-��{D�P�i�0�l���\�IVKBA�������y��3�=4f�iQ;,]O���X���˶�z��3s_>�Ԟ��7_��
6�޽�Ȉt��BaF�^�ɹ�0��� ����$g�n{� �|��7��7�ś�w�9��[_��9���~���՟T/�tՂ� �"� �2(r�
7�x�䜍��m�<�2#rZ�o��e�^3/f/\�[Ѝ�L�+l�`��;K����m�"� �"� �"&v)mN[�d�F{�X��IA�
�^:[~�;���ا�|��I1���'�,�cK�}��~7$�E��"� �2�$$���?�a��ձ�w{%����"���^w@��^�V_�ȡ�GM|pw��-�C=�K#'��h���s�fO�je�J�`j�-��5�p�Ȅ��-d��y@ftK�p}G���[2f�?�3�X�ƱCRU	����&���l��3��cƌ�K���o�d��F=�E���F֖&Pz-B���VQz�OZ�QT�ljYYY�DAd$H]]��e�̙���_�t��?�����E�jhn��#Q����{���~t�u��p����44�50�����������o�Y����J��JR锌��iU3l�D7�t�ߨ]������#$��Ε�3����䳦6�nb(Ҽz�d��Y�Q�����X܊��4q*ttx�C���&�&�g���^�y匔��IӝS���W`�"� �"�H���v5˒%K��ND�իW߻唕��H,E�>��
�u0v?�6b(,w�q\V<�ƛ��[���g>�32�˫o��ʹ��v�_8���ɷ�--�p�1�qB��^!q��4��+G/��.+�������K��`�`h��c`\���#�$�V���\ց��]?�[���f���獸{	��k��h�XZ��,uW�c�\YYy��w? � �"� #A�Ν�fy衇V�Z��O<��s�}:�j:�f��U+��g�����8{5y҇���ݺ�������=x�_��۞�%/1�qnX�X�g�>^3��깏T�YYC�	���G�ĩ������8��'�YB�s��D<��s����3�g�̼�*f�_9���o�I^>���>�����y��y�I�MV��U�u�2#s�����b�C��Ɩv��
M{f�������;ǘu���b��"� �"�H���KͲnݺ^x�W^y��GW�{�Η���/yh��G�=-͜$˯�q����a��/
M--�\,����x�Z��QT�u�_on炧����v޷��ޗ;�}�AV�p�M7�Y��'��.��S��1e�P�C��}7��=��l��t\N�G��x�-z����
7ތv���wu��k���?e�s0�-[���x�v�JU��$����qzP���/�KS�yi����c��Lo���ADA	�㏫Y�nݺ}�vD����'w��x�Ú�g�E;b��m��_ۿ{d��o}����^�ɚ�<��O����m��x{���<�m�c[��}��Y���ū�a��Ы�٨ʟ����L�~}ޣ�T�dN�bdf��gު
��Y�_��?�m��o�zdK��-�S^�p/n�>��=�"� �2d���j��{��1���}ǎ�|X���g?<�,j�u�Ptz�Γk>����~���G}닕>_�Ƨ+�8��k����Wv3<��f��>�箻�z]�K�~���?9�**){���i�^I���^�}��w����u�tmc��g����/�
"� �"�H<ګY�z뭮�.D���������O�����w�?���̫��z��_�y���yiDZ��;�ܻG�{��g�����~����؛{;n[���÷>�B��
�K�?��
��ɾK���9��#�6N�����{��^x�� �"� #B>���,���ٳ:t�ܹ�?��ïv)��W�0��}�W?;���?�����ܻϾ���w�y�����ڮ�;��B�Lj��|N�M{��׆����GG?|�ĉ�
"� �"�<��޽{�ϟ���_�u���,8~��o�p���c���:���_����#����?~�폇�o�8t�ܡ�?0&�*F����>��ƣ�I���y�w��Ga		"� �2�>��_�5"��}��;6����9���Y4���)^�����??��1N/�qz~��s��qP5���c�c���������C!�"� �2r��J�<[�(��+�ڛ�F	[
;Zj�w�
�-�h%�����Sj�-�e�X�/�K`�o��|F�yEC���J��O4`GR�����v�1v$�
�7Ɓli�Y?{�:����p$�%|Z�3"�,aNP��.�8�R�"j�8���,-�2;)�U�ve+=F>+�=ۣ���Y��`L)�DR��	i�R�B�8=@�3A�)�s
g���sY'�E2���q�I�)�`l}�+MAK}cl�Hm��$Ց�^$���K���A�%�t�;)�:��<�=�"���AA�dE�>��[��&:�7�h+o���؊ Z	��W�%�MR�+9��%&E�Tlɘ�"�`~XE�hj��x�=��[�[(�[�4m��Ӵ5)"�.!{G�T�aV�Y-T*Z��[��v6|�~^�-����5D����g\�nD+G�O/��Rέ�Xz���1͙
s
��Q�{F[xFxE�4F`Fs�3��#����S�R�ܓ�M=�M=���a�4��4S�9�;IM8D��G���D�)t7b1bp"xRP��
]9��k��[`7p
iJA,�P�"�]�p}�0f�Y=�pUL\I�G�	�$8S�p���Y�9�����9��0�qH��nQ����towTc�򴛜B�	��1�Y�eCnr
AJʃ��T��},�,��o��q�J(�v�V��ㄌu���2��	���!d)EQ������
�"3�9�%z��d�g��w���\? �1 �9 �) �ɟ*�P����#�u�s$pV�)ztZ����sN�C��#<��"
Q��,_�%��9���P'.@ ׊K`�3�@���%�%��H�D|�B	Nt!Y%��L��c��\]�6(�d�%���A�]�B���
ɺ�,��waf�9�J�!�&�)]qUTjQ�Z	��*.*`t��R�K8Lw�(�q�Bd�+IU*�(Ah2Z��*D��L	�!��<�s�r����q�0�	8L��(C	�wL���������%�?;Q��J�t�x�ݖU;bLp�Gr�	���D��sH�X��<�v>�?�`]u�=$�w@�8G�v���N��*a�j������0=��~=�q����VYs�X+辱���WJRB���2&!�~8Z,燐�K�X
���`�'%ޘO�z�t%͒#�)�*�������_��/R���Oj�'��=��B��E�����X����5�IERݚ��#��L_��Y�ƚ�J�}�P,|��%V\>�ORKf$�x0���{IHJ��b�K�d��y1f�Zf>3o����4/	QAJ!!|�3��3��S�"��Yc��^a�)6�S�r<b�5T��%�g�q�9�{�蹋'�����ȺG�yD�3=f��:��h�x��qn��n�㙅�c]	ƻ���"���E�h��n�7�F1pF��q.QHo��YF�E�>J]�n��DLԍ��9�f�Hd9�FK��ȱ\��Z���r�Ct�9���(e'���#��I�v���tN܎u���8��Z�5ޅ���`�[�8w����	�
�R
�3
�r="R=#�P�@8�r�H�Gd�GD
���@�R=82C
�(bu=#8�+2�3�sK�Һ�:���˽�R��x�K�Oq��p4�l2,�I@hĞ�l��g8�������:��zG�ys�4����4���Yx��4x��C꺇3{�����<���)qi)s���{J�Gx�X�i'i6�+�L'��6��$��t�$��F�^�ǔp�#��G$�#9�_����V�g$�x\����z�zΆ����Fί�4L&�O��x�[װ����@2�����������48�"Y�� �ҬCH�ch*��BE���]�p� �%"͕t/�=2��)\�i���]y�x�n�::�N������L��L�����r����:%;�C�J"L���=� 0��
�h�lK�dfRO)��L-I �&$���Z\]�md6��l0��Փ�2��V�3��Zv���2[��%4��?JN�L��YS��i�Z���q"��2�,��k�Mi�1��R�_fX�'��'0���Rj�H"��Hf�G*Z����ҟBDA9�������+��ڵ�K��K��(9�B�h.�Y��<��D~�nI���*�"��O�f~���&���K4�����=XL}�M|⑚�����{��@I0�M
�b�K�>$�n�C�ǥP�
��9=��;��� �7���3�G��GN�x�S��"B�G:�+O��%�{ōC�At=�;�#F`�G�8��	��-�[<�ƎA��R>��cݥ��|���f�X�7����.!|w�8�eN�1`zH�M +�	�xB��BJ�`�ܕLw����m���"	�
_B�G�O�	�t�d����&x�&�$O�K���������
L��υ��*�@ �
$-"
�-NA-��"_7�(�����@�Ң��P�T�Z��(�yPr`,j�bs@��@k�R��i�*u�\k���P1��A�r8?q
?in�7i��$Ǐ� �"��W��(H�$�W��W��Q��{���A�P�lZ�PW��*�(ߗ�R�Z�����Q�='��\�y�J�5���FA�M��#��$SDRZW�K�-�4_��?�
7"Ώ�r=��`� ���Y]I.�ޔ@���0��"F�#��g3xGgy��=��<��ܣ�<�2��L7���Ff�Fd����Dd�K�[8Q(��#�\'�52p��t��r��ܢs��9�b�[��9��T�%!𤩏r���鱀�3&����,�]����f��n�q��~Ff2�Ў9E�]�p	�pKw�Jx�A�5�{�cx�CX�cX�S����JR�0��P�T#Y{��}X�]h�52�}� L��H	�H����t;f��mp�m0�g?!��0�v={�ե���Xې4�`k(��3�m9�(��� gb	e�4��4��r΃����"X�V,Ap���mB��!r�k4� �V�&�*A�V�@�u`:�[�gP�e`�e|��2�Ӊ��(��[0�X2;��f�r�@�n�cL5E�A���?)8�T7���s�n�j�j�()�PD���(��/�1�(2�)Sf4�K6�K1D)~�T}�d
}��}����7e�/I�}�`D���A�X���x��q�7I�{Ò�G�c}	�1�/!{�09�P#G��R8I�#��)d4hR�>2@�TC"�ܓ����}P�x`EX)qBZ{��	މ��`�ұ$%�	\7�
��Q���
�a"����'����O̚��V�Q.��Z!�D��)��`�H-��="�,"ubTji1N������b"WiUR	xc��)u�JK#H��s8,)�4��AK!�`�ISJi�hgH'K�7R�$�`bX*���Д�08�s�a��P�p��䒰�b��
Z
'��JPJ8� �%���PZRI( +	N.N"`u�cRi���كdE�48��e�@ �z"RR�� ˊKJ�a�^�H-��B��R
N`B1Abq�+��PDK��b�X�� �J���?�5
{	�RD�Q'�)-bݠ4@��'��]�Z��ً�n9�E��)���Zp��BUBh	Ţ�"�x���b�(�( �ȟ�/��7��#(�-����H�^�<(>1y^�|I�I�=b�<$��Źb����3A����+�ț��;��;�B��B(>�	E�Ob1�X,J,��VDzN�
�1���������Qo�����;R��K��}��w��s��T(�g���Y�\yD�G��\�h ύ��8�iC�K��%*�)J�L��(��r�#s���z�DaQ���D�9�� �"�3A.O���	�#�((�+8=����rv�%`L'�H�S{��>"�ϱgd
{���*(�����b	=�>\��kϜ��mD`��Zx�]�|b�Tؠ4\a�����R{J�e˦M����²)r�BA��&����	WX�Ch96�̞c�tX��X��mʊr�C�lح²�i�l��lː,ːl��l�j�4ԵP������g�g�d�gfAY��d+�"RjD�APxY$e�@�Y�A�����Ɓ��F��Y��,���I�a@��T�?c�C@�1���'���=d	�(�9#S���v`�(
v�1e /J'J�B�(]�X�&���~Ʋ���x%@���8�8�~@�K����uI)%�}&������DrbIc�k<��!�6����*�W�i�ҁg���l���ɣ}P�~H�~X�Ax�~d���*FQ�S'ɩ�9uRE��Zb�RE]���(ꤹP��q���6�f	�(�[����uq��toq=�j	u�3i����V���)$���*�u/6���񌬲
!H�dh�1��l�����z �d���M�f�dd~���ɮ�Aa���qvMtv��f��j��j����Eg�DeUGeV#�N�`!�"Ϊ��5��ZqfMdVudfu4AMdFMDFud��YŁZ(�"(�ӫ#Ӫ"ҫAfV�^ɲP���*��*B�	92���"F0è�pXҠT!�^	�T��=
���s�Pb�~2���ԕ�R+�2�ҸZ�iU�r�҆ҕEih:��VhC����d���$T^	�Qo�g�"E<B��V�V�L
I��	*�''W%O�TN1)0iR��LDP�/+@�P�X&J,�%�|P.J���*�P�T���"y�(��?�*H^�vS+��U��j�Ar��(j�T�+�з�I@`2�T�O�\�R!J����Q�&�$N�A���|J}&z3�#-�#��/����E-�=�<��O�Rϸ����e��PJ�3�ԃ`�;A�T��x#u���Ŗ�I'Bq����+RI	�P�Ȗ�Q� -q��\i�ER�z)\bJ�$�J#u�*)��RT�c�]$�,�{L���ؙ6
�Βb��bWJsQzF-��g�HK��D\��bg�PP��d	�I]db�G1�-��)�'YB��� P��(�M\�(.B�Z�1�R�]�]@��)���b��"(6�ŀ]T�}T����.��6��&��&��6��.�Ж�E6D)��,��T!EQE�64kYXє(QE���������0�GRD�E�D䛆�P���F0��X NJ�13��$��(,�840��I(��0�B	+0)0
-`��<Ð|
��k�O�IsI68W/8w��z�
d�a��kB��<d�����@��$&�tB�b�X%S� ��A
�2>�s�G�0*X)�㑥>�[�I��'�(H��H'��'h���c�tndȴ.��!!Sf�€N�7!�z�����"���R��2��
CI���>��=��ar|��8�E�)��v@V�.+���X<9��=�xJrq{R�dY1A8%�I%��A(jM,grrQ[RQ[b10YVΔ��Җ�l)!�!8%��O�t)���$�(YZ�ڕ����e�3S&�
�4�U�d��Ҷd4G��*E*uYu�$R�ᔰ� ���@1��I+cQ[�k�d��Qc�*%&%BBa8qЋ�����;f;�YBHDJ�b	Zc�^�J	m���Ia�4�-.�5.�E
͒|TD�(��$�9&�96���|d[b�ԂN�-�� ���Qf	?�U����,�k��k��a��r�����ES4����ܖhE�X����h��i��i��bb'@��0��Y���ha��&1��D���Pz�8i+�G�PPo���t �)�To�����F�M��"a�i��j��j��j��j�l��l��lB����d��JN���(
�l Y�&Jh!,�Z��²��rò`	�1�)2�v��9M9���@3�g7d5P4��4�g7���P���ICd���B2B��C2�3�2�@y]`*�zy����_������V/�����2��?�),��X��~D��K����K�|�k}�k|�����}Rj}�^�=��oR�OR�wr�wR��E�ɵ�I�^�Ĉ,)M�!�PdU�Հ����[Y�ˈϤ��j��*�D���I-�y�@�u�U{P'�Q����B�@�@��JO ��'��-�ڍ<I������-��=��#����hn\+�V�R讲*Y�[\�{\�K|�K|�KB�SB�K\�[\�[<i�#��tN�pJ�p��t&�*W��W��[�1���P�h	UN	Uq�N��UNqU�����0�T!u�V�K+��N�IH픰�L��@�-�Ɣ�Hʕ�
Y3�H��c�b-�dS�`-.��[��,c�N2����$^�������e&���ˌ��&�eFѥF�%fѥ����$b"�!DN4�(5��hIt��R�����I�0��(�!�d#J���HQ�Q<!�D/
J'���^D��S:!�d|DɄ��z�?>�d\x��b=<�z���d��/��1y@/5DQ��(M��e0/%>�$�� ��0�ԈZ�H�ĉ>��$i�X?���h�~R�z��e2mː�
|"8�ܰ�9�,5�ĸJ�l�y(FjQfH��X�#ʌ��
��I��
��J�*I�I\�Ib���-��;�bF2�t��OO)�N�4]^1#�b&,I�S˧� '�.��-�U��)���S�j�U>�V�ɊR+���Jy�L��4b��+I����F0=mi�V����H|��J;@�VsN�N�NO� Q=�`fZ��@��I�K���>0T�L��_^EZO�|ZW�\�U�b
�'��2|��UtgT�Ҫf�/��N��]%�&�$�%2u�kn�����d:@b�q!��;��;�,RYӓ��I�ӝD�B����ʺ��I�M@I,�dJ$ri'��]�e��e]	�DXiBi,��3abG�D���_�_�R�:Iu��NeQ���ZBY7�tŗ$�t&Pr|1M9�"h]q%�x#���v���bV�<$���T��F�Qʪ�H�qŝqE]��$+-�wH�:�NA���4I�I�T�)T	$Sc��P�.�N�+�u�uI�;��]Iq���CRH�]I�41@<w��ESŹS"�FN#ȟ�;��m"(����r'�*&#�Kh��PE;�䴅@�C�&�d�g�]����������������m��f�g��Die�@��jeMfv��M����6Q�dQF�(�Y(�(J'��h��l��h�Mo�
�fQZ����(��7��XP E�"9)�KkA_§�4f$djlf~Dim��_y�/�%���G��M����C��dӨQ��/�7��-^�͞�/8���&��FO9�P��H��3�у��&��S8x������=S
�[J����+���������%��-��5	���%��%��5�щ™�ɉ�Q����D��h/k��5�'�z��z
(6�	�6	uv�u����u6	�v�X'�[��z��zkRTkWkWg_OWo[�`[oWg[C�u汵��ӸZ��:�Z��Zi����$�0��il����DZK �5F�������4��$��	����ӫ�� ����3��b�
$�1�*Cq5`#�1Ub�n@�H\�'��W�*
�7�TS����%F��CV��Bj�+�ŕƬi5�L�AL�>qUc@�`u
h�X��$��R2@S2.� �$sB2�n�?lN��TmBZ�5�����TיI0�u�L�,�-Z-d��R�٤ve�,H�]�Z� �nAf݂,���/H�_�Q�0�naf�B��-Ȩsa:� �0f��Z�QO���(ҙ���jX�M�հ8�a!� ��	�n�"�T!hX�ո0��:�-f4���I]^�Ҹ��*�h��
?�4K�b8��9i�S�9��c�P� �/�LE�m�3ȜС���g5.F)��Y��Yo�FJIq�+�$!��rXo����Ѻ30��E�$d����(���
} =�GEi���·[�mx ���;
ܜP� ���K#���zrLөCRG�v>A�|y�Ԛ���y�Z����y)�s�5���b��̇.��GR�T�2?����`�Jj���jZEY1�T!>���'S%�Z(mC
�UJ��ad�X��T�E
?���H���$W�I�"��-�W�M��-�������C����*f�L�j���r���I��#�^9/�YTd���y�l�Y�d�HE�.mvTO���X9�	峁�I���X�tn���Hˡω-�-)�[6[Z6zl�Li�L�ǡ�lvL�̘���$%J�iɌ蒙�%�q����H�hzT��n.[<=�hzxa7CXA�tE�w��lXaWX~gx~7V��OQ����N��3B�C�:C�4�;4�+4�#4�
����C�����E'I�r;	D�����Ӂ�@E����9���\uEZ��ӟ"�:HʘT	Pt�Ҝ�td������ew�r8#,��E�(����fM�͞�3M�����lV,>�C�o8S���z2��݉*�S=3�ye@��Ș�A�D��>�=m
��S]ӧ���-m�K�T���DA�M>�Y��,��"��:Ց�)�Sj�#C�d�Nr�)m�}R�]r���6���J$��%@�I�l���P#R�&�R�Y����"��2��2��B�j*k5Il5���&������[��Z
[�	��T��	ͦ	-�	�F	-F	���H�m5Ih5K$0AjZ�y\�i<�V���E�JЬ~|3RT1�o1�k�C��f��&���(bm1�Fq͆q�F�WD9��&Ӹf�$���	���-�	��q-F�O�Lz�W��?�F�2Ol3��AOh3�o�$�gcl`�O�o�6���V��m���U+Y�5��l�%9.8:�mR�9�N�O�f��m�1�1{vv��-˲Z�e5߮h]�h�3�����e0Rܑ�zgf˲��e����$Z%((�+��w0��\X��;���P{^�m�*���8BO���|�R��e9�VP�;��41�μ�w�l.�a$rږў��\jg��o���|����ZY7��
ۗM��T�(�P�w(�*ˈ��<w���)�ղ�Ʉ\�N�?�m�
`�|W�%��Q�?i�v#��.8$>)�ܥhWN,W�
�p�h�٠h�娞�N�+����NᆌR�?�XH;��~�b
u��V���f��/Sv�2�ܡ��O�2@��v�Hr�"Qz��(���۳Z�f��έ��X����2�n�j^��R�ʒ#����K�,��2NoZ�Ѹ���@��ͷ�7/�h^�I<�Bt�lzI��d4.I��i\���p�|{Z�4��heI���a�h��5ޞш�,c�ɠ�3���Җʛ�ʛ)��З��K��o�7ܖڰ�7.Mm�Mcݒ����)�K�������[S���ޖR�H��-��RTߚT�8�zQb�b�ߚPykB�b@V�8�r!_��T,����T,�T.�N�W�PZ� ���$-_(a([(.�/._U��(e,��D�͋.�5qnT���yDJ�����y�%s�K�EO$��R�(9̉���\��a��CK�Ȃ1q^8JK��
+�R2'�tnX霰��27�dnp��9aEs`����GZ47�؃��	-�\4'�pvU@�����s�g��,�;R��0��>+(oVP�,�$[0G�?�/o.I�g�rg��f������}�g�2��U��ɝE�3��2�b�W�,��Y��Y.93�rfy�3]�g�Y�@ɜ�9�%k&U�]�fnٰ�p��`w��v��r@������m���C�wڥuڦwv����R��iGh�viݶ�.y�M��P���l�P�Ӻ��]�)��]���V����NKy���F��n�TZ���e��i��i��i��a�4�$��$e�i�T�i�D� v��)�L�;̓;-�;-��̒;�����Z<:-R:�L��cj7eΓ;�R:��jr�j"Y�P Aެ�벮�(�
���Lf2		@ȃ�����@$�D��~���	�{���WuuuO�l��,ߗEg�~��&���;���a5�r���h7+��3��:,�n.�΅�ǻ��젃'���]�Ġ��C�.G�>�蛋ߞK��᧑��`���%�i�I�|��.�����%�����BfX8�eŨ)�ք�)lWŘ)�L�nU�V}���]�եXM�
Y��횾XML�aHmȎ�|L�6�hݿ۠t'W*���[Wڕ��M]f�wk2ĸ�ޑ�2�DDV)\O��H1�
+o?������&���u�$2HP}��w�>Y�'L�}hx5$9�PbVM��=V�
��%��5�8�$��Xz�oit��C@]Q'uؔ�JXE�,��oJ[	�*�L�>1Z��>�5ތ�Ip1���&\�YL`Ÿ��V����OͲd�-���M���>I���A���`��Z fҍ��#���c�WA���|�*�*�}1�ު�z!������S�wN/��H;��F����S'AU�!%��K����u��i�.F�h��<yL�Z�cz�μ��Rި�ݩT�fy���
a��U�n��lW�B��6���6�g�\ت�
d—��Kսe:��2=_j._L��p��?U_*������jۮ�2��y�c�t~�4�Q��,��Y�g�<�����(Ϯ��]/���I��z�9K3k'o�Jć���7kƛ�G��ҫ�ǯ`�#`L�3�W��������J���������+<�|^@�b�2.Ftj�x�R�Z5�Ƌ壩�A,�V@�9g�x�|�$RO�
�"�g����p��R����p~2�A,&��?�rO�Y*>'��c(��3T|*<���d���G�<��&�ه������C��D � X|�?P*$x�d�+�q�a��*����}?�=��s�ʹq9{�񋔽#e�J��$����`L:�G��ay�����a�>,d`!�m��߫
"�ՇăA�k�p���o/h��
��?�ܯ�y�^�n�j�[�������n�t�G���n�n'T�K���.�fsk�N���l.�˥w��N�\�3cs�N�éu8T�#��T��t�#es��\j'��^���@�Y�vé�p�o"��z�C�1�߉\�
Y�CE�&�c�|N�as��v8�����4��vd�v��
�F�i�p�^��M����]@��}A���c�u��ϣ��|�g���h�p"e�U��dž<��z3lจ��)��XP�<ڨG2c^}ԛ�-�
C����#���x�$'�@J�^˗j�{r�jʩ�/������!0������g`�ܿTH|}��H���0
G�g��Ҥ�e0}�UI[��j-�[��%V����&��֢���u� q�>	�q���S.�ӭ�z�S5K�բv	����*m;��-X��b\21���ʆ����
�L�:d)WA�������,z�W�b-�V����h�ϻj�x�*�F2���-1� ڽ5Y�*G,Z+m͒z	VK�:�f���,�VD�\b�QHcj|w2™�%��:�֤�k���#7�U(3��E�dkIk�uI�t��.��j�r����d���X:���޶�'�QK|wZu�h���{���&e=��T[�t<�@�Qػ
q������k�x��+������d�b��D��n	馘���_��z��ޥ�lI�����K&	�^�G�_��;��Mo���(�lr�D�!~!��?�%�{bMa�B�=��Ĺ'~��{�]x��z����~w����wW���ߜ;u�vݽ�p�|��i�m7[u��Vù�pl7`����h�~��u�S�3�ќ٨�l�3�̙�������c
��0�ڨo7�7�g�;_�j���|�F�usz�|�A�XG�R^�W_���bݜ�P/�Φ?TI��
������gk�Z�>_�0��ʋՓ��2�T��W�ށ�竧��>]�q��黳'�	8�C���仓���������Hi�����d��q���r�a���J���?"�G�DN&"�ߖKd#z:)��T�1&����Pi|�t��{!2��9っ��cpG1��~Q���/a	�JqȟQ
�°�8��rqH.�a��oa����)��ˆT�:�d��_�_���۾�|�[��M,��b�P�����[B�W��=��l�7���ل�M�u�y`��xo	�{��͛��6��̓����>�(T����d�vyr]b�S�b����<��{���(E�{廽Y4C/ڠ�XϨ�'�W����p"Ɋb���B�����FQ|��0F$dcP2��x8$fIF#�r�����#��֟T�1&���h�_��"nsL1��xW6�bU���q�o�(��N������Õ�e���
endstream
endobj
7 0 obj
54038
endobj
10 0 obj
<< /Length 9 0 R /N 3 /Alternate /DeviceRGB /Filter /FlateDecode >>
stream
x�c``�I,(�ab``��+)
rwR���R`����� �`��\\��T�Rˀ�]a`ї�����7�SZd���������DZL�?�t��/�\�B ��E�lF;	�V��K
J�l�($����/Ž�� l���ʒ�A�k�l����d {
�]�\Pg�)�'�5%��@�l,��/T$w �to20Mg`�\��l�;�XIriQ�{��g�!n��NL���u!�g]al�?�@:)3��891O�7?/�$�H!(5-�(5/9)Z�SE��V�ݹRn����1�h!
endstream
endobj
9 0 obj
313
endobj
8 0 obj
[ /ICCBased 10 0 R ]
endobj
4 0 obj
<< /Type /Pages /Count 1 /Kids [ 3 0 R ] >>
endobj
11 0 obj
<< /Type /Catalog /Pages 4 0 R >>
endobj
12 0 obj
<< /CreationDate (D:20061025172724Z00'00') /ModDate (D:20061025172724Z00'00')
/Producer (Mac OS X 10.3.9 Quartz PDFContext) >>
endobj
13 0 obj
[ <73df2d29500034c94256dc89b82c32f7> <73df2d29500034c94256dc89b82c32f7>
]
endobj
xref
0 14
0000000000 65535 f 
0000000149 00000 n 
0000000022 00000 n 
0000000167 00000 n 
0000055057 00000 n 
0000000273 00000 n 
0000000362 00000 n 
0000054566 00000 n 
0000055021 00000 n 
0000055002 00000 n 
0000054587 00000 n 
0000055116 00000 n 
0000055166 00000 n 
0000055309 00000 n 
trailer
<< /Size 14 /Root 11 0 R /Info 12 0 R /ID 13 0 R >>
startxref
55399
%%EOF
Quark_Hyphen (55,771 bytes)

louisdesjardins

2006-10-25 18:08

developer   ~0013141

Craig,
Understand!

Gustavo,
We can improve the tweakability of justification and the overall typographic quality in Scribus. But this issue is imo not a bug. Please compare the 2 screenshots I just uploaded. Unless I de-activate hyphenation, I can't replicate this bug and the overall look and feel is to me better than it is on the file you provided.

Same number of lines in both programs. Apart from the 2nd line very large space, the rest looks fine. If I don't end-up with the exact same result in Quark as you it's because I am almost sure there are slight differences in the settings I put there. I used the default and I gave a 3-2-2 settings for shortest word, hyphen before and after. In Scribus I did the same as you provided.

Anyway, have a look and tell me what you think. I used the same Myriad Pro font for both.

To set the hyphenation language, did you do that in the Properties palette or in the Prefs > Hyphenation. Also, did you hyphenate your text through the Extra > Hyphenate text menu? Sorry in advance to ask if you did that. I am only trying to understand how you came up in Scribus with such a bad result. :)

gustavohomem

2006-10-25 22:50

reporter   ~0013142

Louis,

I did the hyphenation as it should be, all parameters are as you suggest.

About your screenshots:

- The Scribus one doesn't look good. It has lots of unevenly distributed space on the second column. You have replicated the "bug", or whatever we may call this (they call it "horse teeth" when white spots appear among the text).

- The Quark one doesn't look good either. However in Quark, they told me there's a fast way to fix it (not sure what it is yet)

We should follow this up on IRC, as we are flooding this bug :-)

Kunda

2016-02-15 15:08

manager   ~0038759

bubu, do you mind testing this one as well ? Thanks!

bubu

2016-02-16 22:16

reporter  

Corrected source (Scribus1.5).sla (120,246 bytes)

bubu

2016-02-16 22:20

reporter  

bubu

2016-02-16 22:22

reporter   ~0038796

Kunda, I think, you can close this. There isn't bug in Scribus. There was an unnecessary 5% „Manual Tracking” on the text frame ("Corte o bacalhau...").

I attach corrected source and a screenshot, which is same as the linked „ST 2049-quark.pdf”. On the screenshot you can see the wanted glyph extension settings.

Kunda

2016-02-16 23:48

manager   ~0038798

Thanks bubu!
Resolving in order to bring attention to this bug. Craig, can you confirm & close ?

Issue History

Date Modified Username Field Change
2006-10-20 19:29 gustavohomem New Issue
2006-10-20 19:29 gustavohomem File Added: hyphens.zip
2006-10-20 19:53 mhanski Relationship added child of 0003838
2006-10-20 19:53 mhanski Relationship deleted child of 0003838
2006-10-20 19:54 mhanski Relationship added child of 0003828
2006-10-24 01:37 mhanski Severity minor => major
2006-10-24 16:34 gustavohomem Note Added: 0013120
2006-10-24 18:57 cbradney Note Added: 0013122
2006-10-25 03:31 louisdesjardins Note Added: 0013124
2006-10-25 03:32 louisdesjardins Note Edited: 0013124
2006-10-25 09:24 gustavohomem Note Added: 0013125
2006-10-25 09:26 gustavohomem Note Added: 0013126
2006-10-25 13:58 louisdesjardins Note Added: 0013129
2006-10-25 14:51 gustavohomem Note Added: 0013130
2006-10-25 14:58 louisdesjardins Note Added: 0013131
2006-10-25 15:15 mhanski Note Added: 0013132
2006-10-25 15:22 mhanski Note Edited: 0013132
2006-10-25 15:30 louisdesjardins Note Added: 0013134
2006-10-25 15:43 gustavohomem File Added: add_info.zip
2006-10-25 15:44 gustavohomem Note Added: 0013135
2006-10-25 16:03 louisdesjardins Note Added: 0013136
2006-10-25 16:08 gustavohomem Note Added: 0013137
2006-10-25 16:22 louisdesjardins Note Added: 0013138
2006-10-25 16:28 gustavohomem Note Added: 0013139
2006-10-25 17:16 cbradney Note Added: 0013140
2006-10-25 17:44 louisdesjardins File Added: Scribus_Hyphen.pdf
2006-10-25 17:45 louisdesjardins File Added: Quark_Hyphen
2006-10-25 18:08 louisdesjardins Note Added: 0013141
2006-10-25 22:50 gustavohomem Note Added: 0013142
2014-04-07 15:38 JLuc Tag Attached: layout
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-01-23 22:04 Kunda Tag Attached: #please_test
2016-02-15 15:08 Kunda Note Added: 0038759
2016-02-16 22:16 bubu File Added: Corrected source (Scribus1.5).sla
2016-02-16 22:20 bubu File Added: Correct glyph extension settings.png
2016-02-16 22:22 bubu Note Added: 0038796
2016-02-16 23:48 Kunda Note Added: 0038798
2016-02-16 23:48 Kunda Status new => resolved
2016-02-16 23:48 Kunda Resolution open => unable to reproduce
2016-02-16 23:48 Kunda Assigned To => Kunda
2016-03-06 10:09 cbradney Status resolved => closed